# -*- encoding: utf-8 -*-
#= mdk_config/const.rb - MDK Library 設定ファイルクラス
#
#Copyright:: VeriTrans Inc.
#Authors::   VeriTrans Inc.
#

module Veritrans
  module Tercerog
    module Mdk

      #
      # MdkConfig クラス
      #    各設定ファイルに定義されているキーの定数を定義します。
      #
      class MdkConfig

        #
        # tg_mdk.properties
        #

        # ダミーモード（テスト時のみ指定します）
        DUMMY_REQUEST                 = "DUMMY_REQUEST".freeze

        # MDK固有エラーモード(テスト時のみ指定します）
        MDK_ERROR_MODE                = "MDK_ERROR_MODE".freeze

        # 接続先ホスト
        HOST_URL                      = "HOST_URL".freeze

        # 接続タイムアウト時間(秒)
        CONNECTION_TIMEOUT            = "CONNECTION_TIMEOUT".freeze

        # 読み取りタイムアウト時間(秒)
        READ_TIMEOUT                  = "READ_TIMEOUT".freeze

        # SSL暗号用 CA証明書ファイル名
        CA_CERT_FILE                  = "CA_CERT_FILE".freeze

        # SSLプロトコル
        SSL_PROTOCOL                  = "SSL_PROTOCOL".freeze

        # プロキシのURLを指定します(未指定若しくは当プロパティを指定しない場合、プロキシなしとして扱います)
        PROXY_SERVER_URL              = "PROXY_SERVER_URL".freeze

        # プロキシユーザ名
        PROXY_USERNAME                = "PROXY_USERNAME".freeze

        # プロキシパスワード
        PROXY_PASSWORD                = "PROXY_PASSWORD".freeze

        # マーチャントCCID。VeriTrans指定のものを設定します。
        MERCHANT_CC_ID                = "MERCHANT_CC_ID".freeze

        # マーチャント認証鍵。VeriTrans指定のものを設定します。
        MERCHANT_SECRET_KEY           = "MERCHANT_SECRET_KEY".freeze

        # 要求、応答DTOに設定される文字列のエンコード
        DTO_ENCODE                    = "DTO_ENCODE".freeze

        #
        # internal.properties
        #

        # MDKのバージョンを指定します。
        MDK_VERSION                   = "MDK_VERSION".freeze

        # DTOのバージョンを指定します。
        MDK_DTO_VERSION               = "MDK_DTO_VERSION".freeze

        # 共通アイテム
        COMMON_ITEM                   = "COMMON_ITEM".freeze

        # マスク対象アイテム
        MASK_ITEM                     = "MASK_ITEM".freeze

        # メッセージダイジェストタイプ
        MESSAGE_DIGEST_TYPE           = "MESSAGE_DIGEST_TYPE".freeze

        ADD_URL_PAYMENT_VERSION       = "ADD_URL_PAYMENT_VERSION".freeze
        ADD_URL_VTID_VERSION          = "ADD_URL_VTID_VERSION".freeze
        ADD_URL_PAYMENT               = "ADD_URL_PAYMENT".freeze
        ADD_URL_VTID                  = "ADD_URL_VTID".freeze
        PAYNOWID_SERVICE_TYPE         = "PAYNOWID_SERVICE_TYPE".freeze

      end
    end
  end
end

