# -*- encoding: utf-8 -*-
#= mdk_const.rb - MDK Library 定数定義クラス
#
#Copyright:: VeriTrans Inc.
#Authors::   VeriTrans Inc.
#

module Veritrans
  module Tercerog
    module Mdk

      #
      # MdkConst クラス
      #    各設定ファイルに定義されているキーの定数を定義します。
      #
      class MdkConst

      ## 共通 ##
        # true
        TRUE      = "true".freeze
        # false
        FALSE     = "false".freeze
        # success
        SUCCESS   = "success".freeze
        # failure
        FAILURE   = "failure".freeze
        # ダミーモードON
        DUMMY_MODE_TRUE = "1".freeze

      ## クレジットカード（3D認証有り） ##
        # クレジットカード（3D認証有り）：端末種別（PC）
        MPI_BROWSER_DEVICE_CATEGORY_PC     = "0".freeze
        # クレジットカード（3D認証有り）：端末種別（mobile）
        MPI_BROWSER_DEVICE_CATEGORY_MOBILE = "1".freeze

      ## キャリア決済 ##
        # 携帯キャリアサービス名：ドコモケータイ払い
        CARRIER_DOCOMO                = "docomo".freeze
        # 携帯キャリアサービス名：auかんたん決済
        CARRIER_AU                    = "au".freeze
        # 携帯キャリアサービス名：ソフトバンクケータイ支払い
        CARRIER_SB_KTAI               = "sb_ktai".freeze
        # 携帯キャリアサービス名：ソフトバンクまとめて支払い
        CARRIER_SB_MATOMETE           = "sb_matomete".freeze
        # 携帯キャリアサービス名：Ｓ！まとめて支払い
        CARRIER_S_BIKKURI             = "s_bikkuri".freeze
        # 携帯キャリアサービス名：フレッツまとめて支払い
        CARRIER_FLETS                 = "flets".freeze
        # 携帯キャリア：与信同時売上フラグ（与信のみ）
        CARRIER_AUTH_ONLY             = FALSE
        # 携帯キャリア：与信同時売上フラグ（与信同時売上）
        CARRIER_AUTH_WITH_CAPTURE     = TRUE
        # 携帯キャリア：課金種別（都度）
        CARRIER_ONETIME               = "0".freeze
        # 携帯キャリア：課金種別（継続）
        CARRIER_MONTHLY               = "1".freeze
        # 携帯キャリア：課金種別（バーコード）
        CARRIER_BARCODE               = "2".freeze
        # 携帯キャリア：課金種別（スキャンコード）
        CARRIER_SCANCODE              = "3".freeze
        # 携帯キャリア：課金種別（随時）
        CARRIER_ONDEMAND              = "4".freeze
        # 携帯キャリア：端末区分（PC）
        CARRIER_TERMINAL_PC           = "0".freeze
        # 携帯キャリア：端末区分（スマフォ）
        CARRIER_TERMINAL_SP           = "1".freeze
        # 携帯キャリア：端末区分（フィーチャーフォン）
        CARRIER_TERMINAL_FP           = "2".freeze
        # 携帯キャリア：商品タイプ（デジタルコンテンツ）
        CARRIER_ITEM_DIGITAL_CONTENTS = "0".freeze
        # 携帯キャリア：商品タイプ（物販）
        CARRIER_ITEM_PRODUCT_SALES    = "1".freeze
        # 携帯キャリア：商品タイプ（役務）
        CARRIER_ITEM_SERVICES         = "2".freeze
        # 携帯キャリア：3Dフラグ（3D無）
        CARRIER_3D_NONE               = "0".freeze
        # 携帯キャリア：3Dフラグ（3Dバイパス）
        CARRIER_3D_BYPASS             = "1".freeze
        # 携帯キャリア：3Dフラグ（3D有）
        CARRIER_3D_REQUIRED           = "2".freeze
        # 携帯キャリア：フレッツエリア（東日本）
        CARRIER_FLETS_AREA_EAST       = "0".freeze
        # 携帯キャリア：フレッツエリア（西日本）
        CARRIER_FLETS_AREA_WEST       = "1".freeze
        # 携帯キャリア：ID連携(au)
        CARRIER_AU_ID_COOP            = FALSE
        # 携帯キャリア：auIDログイン
        CARRIER_AU_ID_LOGIN           = TRUE
        # 携帯キャリア：決済認証方式（ID認証方式）
        CARRIER_PAYMENT_TYPE_ID       = "0".freeze
        # 携帯キャリア：決済認証方式（アプリ認証方式）
        CARRIER_PAYMENT_TYPE_APP      = "1".freeze

        ## for Search ##

        # 携帯キャリア：詳細取引決済状態 init
        CARRIER_DETAIL_ORDER_TYPE_INIT                  = "Init".freeze
        # 携帯キャリア：詳細取引決済状態 与信
        CARRIER_DETAIL_ORDER_TYPE_AUTH                  = "Auth".freeze
        # 携帯キャリア：詳細取引決済状態 抹消
        CARRIER_DETAIL_ORDER_TYPE_DEREGISTRATION        = "Deregistration".freeze
        # 携帯キャリア：詳細取引決済状態 継続終了
        CARRIER_DETAIL_ORDER_TYPE_TERMINATE             = "Terminate".freeze
        # 携帯キャリア：詳細取引決済状態 売上
        CARRIER_DETAIL_ORDER_TYPE_POST_AUTH             = "PostAuth".freeze
        # 携帯キャリア：詳細取引決済状態 取消(売上)
        CARRIER_DETAIL_ORDER_TYPE_VOID_POST_AUTH        = "VoidPostAuth".freeze
        # 携帯キャリア：詳細取引決済状態 取消(与信)
        CARRIER_DETAIL_ORDER_TYPE_VOID_AUTH             = "VoidAuth".freeze
        # 携帯キャリア：詳細取引決済状態 売上要求(与信売上)
        CARRIER_DETAIL_ORDER_TYPE_AUTH_CAPTURE_REQ       = "AuthCaptureReq".freeze
        # 携帯キャリア：詳細取引決済状態 与信売上
        CARRIER_DETAIL_ORDER_TYPE_AUTH_CAPTURE          = "AuthCapture".freeze
        # 携帯キャリア：詳細取引決済状態 要求
        CARRIER_DETAIL_ORDER_TYPE_REVERSE_REQ           = "ReverseReq".freeze
        # 携帯キャリア：詳細取引決済状態
        CARRIER_DETAIL_ORDER_TYPE_REVERSE               = "Reverse".freeze
        # 携帯キャリア：詳細取引決済状態 取消(与信売上)
        CARRIER_DETAIL_ORDER_TYPE_VOID_AUTH_CAPTURE     = "VoidAuthCapture".freeze
        # 携帯キャリア：詳細取引決済状態 与信有効期限切れ
        CARRIER_DETAIL_ORDER_TYPE_EXPIRED_AUTH          = "ExpiredAuth".freeze

        # 継続状態フラグ: 継続中
        CARRIER_MP_STATUS_CONTINUE    = "1".freeze
        # 継続状態フラグ: 登録抹消
        CARRIER_MP_STATUS_DEREGIST    = "8".freeze
        # 継続状態フラグ: 継続終了
        CARRIER_MP_STATUS_TERMINATED  = "9".freeze

        # 詳細コマンドタイプ:初期状態
        CARRIER_DETAIL_COMMAND_INIT = "Init".freeze
        # 詳細コマンドタイプ:OpenID事前認証
        CARRIER_DETAIL_COMMAND_PRE_OPENID = "PreOpenId".freeze
        # 詳細コマンドタイプ:OpenID認証
        CARRIER_DETAIL_COMMAND_POS_OPENID = "PostOpenId".freeze

        # 詳細コマンドタイプ:決済認可
        CARRIER_DETAIL_COMMAND_PRE_AUTH = "PreAuth".freeze
        # 詳細コマンドタイプ:与信
        CARRIER_DETAIL_COMMAND_AUTH = "Auth".freeze
        # 詳細コマンドタイプ:与信（継続）
        CARRIER_DETAIL_COMMAND_MAUTH = "MAuth".freeze

        # 詳細コマンドタイプ:抹消
        CARRIER_DETAIL_COMMAND_DEREGIST = "Deregistration".freeze
        # 詳細コマンドタイプ:OpenID事前認証（継続終了）
        CARRIER_DETAIL_COMMAND_3TERM_PRE_OPENID = "UserTerminatePreOpenId".freeze
        # 詳細コマンドタイプ:OpenID認証（継続終了）
        CARRIER_DETAIL_COMMAND_3TERM_POS_OPENID = "UserTerminatePostOpenId".freeze

        # 詳細コマンドタイプ:決済認可（継続終了）
        CARRIER_DETAIL_COMMAND_3TERM_PRE_AUTH = "UserTerminatePreAuth".freeze
        # 詳細コマンドタイプ:継続終了
        CARRIER_DETAIL_COMMAND_3TERM_TERMINATE = "UserTerminate".freeze
        # 詳細コマンドタイプ:継続終了要求（強制）
        CARRIER_DETAIL_COMMAND_TERMINATE_REQ = "TerminateReq".freeze

        # 詳細コマンドタイプ:継続終了（強制）
        CARRIER_DETAIL_COMMAND_TERMINATE = "Terminate".freeze
        # 詳細コマンドタイプ:売上要求
        CARRIER_DETAIL_COMMAND_POST_AUTH_REQ = "PostAuthReq".freeze
        # 詳細コマンドタイプ:売上
        CARRIER_DETAIL_COMMAND_POST_AUTH = "PostAuth".freeze

        # 詳細コマンドタイプ:返金要求（売上）
        CARRIER_DETAIL_COMMAND_REFUND_POST_AUTH_REQ = "RefundPostAuthReq".freeze
        # 詳細コマンドタイプ:返金（売上）
        CARRIER_DETAIL_COMMAND_REFUND_POST_AUTH = "RefundPostAuth".freeze
        # 詳細コマンドタイプ:取消要求（売上）
        CARRIER_DETAIL_COMMAND_VOID_POST_AUTH_REQ = "VoidPostAuthReq".freeze

        # 詳細コマンドタイプ:取消（売上）
        CARRIER_DETAIL_COMMAND_VOID_POST_AUTH = "VoidPostAuth".freeze
        # 詳細コマンドタイプ:取消要求（与信）
        CARRIER_DETAIL_COMMAND_VOID_AUTH_REQ = "VoidAuthReq".freeze
        # 詳細コマンドタイプ:取消（与信）
        CARRIER_DETAIL_COMMAND_VOID_AUTH = "VoidAuth".freeze

        # 詳細コマンドタイプ:売上要求(与信売上)
        CARRIER_DETAIL_COMMAND_AUTH_CAPTURE_REQ = "AuthCaptureReq".freeze
        # 詳細コマンドタイプ:与信売上
        CARRIER_DETAIL_COMMAND_AUTH_CAPTURE = "AuthCapture".freeze
        # 詳細コマンドタイプ:要求
        CARRIER_DETAIL_COMMAND_REVERSE_REQ = "ReverseReq".freeze

        # 詳細コマンドタイプ:
        CARRIER_DETAIL_COMMAND_REVERSE = "Reverse".freeze
        # 詳細コマンドタイプ:与信（与信売上エミュレート）
        CARRIER_DETAIL_COMMAND_EMU_AUTH = "EmuAuth".freeze
        # 詳細コマンドタイプ:売上要求（与信売上エミュレート）
        CARRIER_DETAIL_COMMAND_EMU_POST_AUTH_REQ = "EmuPostAuthReq".freeze

        # 詳細コマンドタイプ:売上（与信売上エミュレート）
        CARRIER_DETAIL_COMMAND_EMU_POST_AUTH = "EmuPostAuth".freeze
        # 詳細コマンドタイプ:返金要求（与信売上）
        CARRIER_DETAIL_COMMAND_REFUND_AUTH_CAPTURE_REQ = "RefundAuthCaptureReq".freeze
        # 詳細コマンドタイプ:返金（与信売上）
        CARRIER_DETAIL_COMMAND_REFUND_AUTH_CAPTURE = "RefundAuthCapture".freeze

        # 詳細コマンドタイプ:取消要求（与信売上）
        CARRIER_DETAIL_COMMAND_VOID_AUTH_CAPTURE_REQ = "VoidAuthCaptureReq".freeze
        # 詳細コマンドタイプ:取消（与信売上）
        CARRIER_DETAIL_COMMAND_VOID_AUTH_CAPTURE = "VoidAuthCapture".freeze
        # 詳細コマンドタイプ:与信有効期限切れ
        CARRIER_DETAIL_COMMAND_EXPIRED_AUTH = "ExpiredAuth".freeze

        # 詳細コマンドタイプ:承諾
        CARRIER_DETAIL_COMMAND_CONSENT = "Consent".freeze
        # 詳細コマンドタイプ:抹消
        CARRIER_DETAIL_COMMAND_CONSENT_DEREGISTRATION = "ConsentDeregistration".freeze
        # 詳細コマンドタイプ:随時決済終了要求
        CARRIER_DETAIL_COMMAND_CONSENT_TERMINATE_REQ = "ConsentTerminateReq".freeze

        # 詳細コマンドタイプ:随時決済終了
        CARRIER_DETAIL_COMMAND_CONSENT_TERMINATE = "ConsentTerminate".freeze

      ## 楽天 ##
        # 楽天：与信同時売上フラグ（与信のみ）
        RAKUTEN_AUTH_ONLY             = FALSE
        # 楽天：与信同時売上フラグ（与信同時売上）
        RAKUTEN_AUTH_WITH_CAPTURE     = TRUE
        # 楽天：サービスタイプ：オンライン
        RAKUTEN_ONLINE  = "0".freeze
        # 楽天：サービスタイプ：バーコード
        RAKUTEN_BARCODE  = "1".freeze
        # 楽天：サービスタイプ：オンラインV2
        RAKUTEN_ONLINE_V2  = "2".freeze
        # 楽天：与信延長フラグ（与信期限を延長しない）
        RAKUTEN_AUTH_EXTENSION_FALSE  = "false".freeze
        # 楽天：与信延長フラグ（与信期限を延長する）
        RAKUTEN_AUTH_EXTENSION_TRUE  = "true".freeze
        # 楽天：課金種別（都度）
        RAKUTEN_ONETIME  =  "0".freeze
        # 楽天：課金種別（随時）
        RAKUTEN_ONDEMAND  =  "1".freeze

        ## for Search ##

        # 楽天：詳細取引決済状態 init
        RAKUTEN_DETAIL_ORDER_TYPE_INIT                         = "Init".freeze
        # 楽天：詳細取引決済状態 与信
        RAKUTEN_DETAIL_ORDER_TYPE_AUTH                         = "Auth".freeze
        # 楽天：詳細取引決済状態 売上要求
        RAKUTEN_DETAIL_ORDER_TYPE_POST_AUTH_REQ                = "PostAuthReq".freeze
        # 楽天：詳細取引決済状態 売上
        RAKUTEN_DETAIL_ORDER_TYPE_POST_AUTH                    = "PostAuth".freeze
        # 楽天：詳細取引決済状態 売上失敗
        RAKUTEN_DETAIL_ORDER_TYPE_POST_AUTH_FAIL               = "PostAuthFail".freeze
        # 楽天：詳細取引決済状態 取消要求(売上)
        RAKUTEN_DETAIL_ORDER_TYPE_VOID_POST_AUTH_REQ           = "VoidPostAuthReq".freeze
        # 楽天：詳細取引決済状態 取消(売上)
        RAKUTEN_DETAIL_ORDER_TYPE_VOID_POST_AUTH               = "VoidPostAuth".freeze
        # 楽天：詳細取引決済状態 変更要求(売上)
        RAKUTEN_DETAIL_ORDER_TYPE_CHANGE_POST_AUTH_REQ         = "ChangePostAuthReq".freeze
        # 楽天：詳細取引決済状態 変更(売上)
        RAKUTEN_DETAIL_ORDER_TYPE_CHANGE_POST_AUTH             = "ChangePostAuth".freeze
        # 楽天：詳細取引決済状態 取消要求(与信)
        RAKUTEN_DETAIL_ORDER_TYPE_VOID_AUTH_REQ                = "VoidAuthReq".freeze
        # 楽天：詳細取引決済状態 取消(与信)
        RAKUTEN_DETAIL_ORDER_TYPE_VOID_AUTH                    = "VoidAuth".freeze
        # 楽天：詳細取引決済状態 変更要求(与信)
        RAKUTEN_DETAIL_ORDER_TYPE_CHANGE_AUTH_REQ              = "ChangeAuthReq".freeze
        # 楽天：詳細取引決済状態 変更(与信)
        RAKUTEN_DETAIL_ORDER_TYPE_CHANGE_AUTH                  = "ChangeAuth".freeze
        # 楽天：詳細取引決済状態 与信売上
        RAKUTEN_DETAIL_ORDER_TYPE_AUTH_CAPTURE                 = "AuthCapture".freeze
        # 楽天：詳細取引決済状態 与信売上失敗
        RAKUTEN_DETAIL_ORDER_TYPE_AUTH_CAPTURE_FAIL            = "AuthCaptureFail".freeze
        # 楽天：詳細取引決済状態 取消要求(与信売上)
        RAKUTEN_DETAIL_ORDER_TYPE_VOID_AUTH_CAPTURE_REQ        = "VoidAuthCaptureReq".freeze
        # 楽天：詳細取引決済状態 取消(与信売上)
        RAKUTEN_DETAIL_ORDER_TYPE_VOID_AUTH_CAPTURE            = "VoidAuthCapture".freeze
        # 楽天：詳細取引決済状態 変更要求(与信売上)
        RAKUTEN_DETAIL_ORDER_TYPE_CHANGE_AUTH_CAPTURE_REQ      = "ChangeAuthCaptureReq".freeze
        # 楽天：詳細取引決済状態 変更(与信売上)
        RAKUTEN_DETAIL_ORDER_TYPE_CHANGE_AUTH_CAPTURE          = "ChangeAuthCapture".freeze
        # 楽天：詳細取引決済状態 与信無効
        RAKUTEN_DETAIL_ORDER_TYPE_EXPIRED_AUTH                 = "ExpiredAuth".freeze
        # 楽天：詳細取引決済状態 承諾
        RAKUTEN_DETAIL_ORDER_TYPE_CONSENT                      = "Consent".freeze

        # 詳細コマンドタイプ:初期状態
        RAKUTEN_DETAIL_COMMAND_INIT = "Init".freeze
        # 詳細コマンドタイプ:受付
        RAKUTEN_DETAIL_COMMAND_ACCEPT = "Accept".freeze
        # 詳細コマンドタイプ:決済認可
        RAKUTEN_DETAIL_COMMAND_PRE_AUTH = "PreAuth".freeze

        # 詳細コマンドタイプ:与信
        RAKUTEN_DETAIL_COMMAND_AUTH = "Auth".freeze
        # 詳細コマンドタイプ:与信失敗
        RAKUTEN_DETAIL_COMMAND_AUTH_FAIL = "AuthFail".freeze
        # 詳細コマンドタイプ:売上要求
        RAKUTEN_DETAIL_COMMAND_POST_AUTH_REQ = "PostAuthReq".freeze

        # 詳細コマンドタイプ:売上
        RAKUTEN_DETAIL_COMMAND_POST_AUTH = "PostAuth".freeze
        # 詳細コマンドタイプ:売上失敗
        RAKUTEN_DETAIL_COMMAND_POST_AUTH_FAIL = "PostAuthFail".freeze
        # 詳細コマンドタイプ:取消要求(売上)
        RAKUTEN_DETAIL_COMMAND_VOID_POST_AUTH_REQ = "VoidPostAuthReq".freeze

        # 詳細コマンドタイプ:取消(売上)
        RAKUTEN_DETAIL_COMMAND_VOID_POST_AUTH = "VoidPostAuth".freeze
        # 詳細コマンドタイプ:変更要求(売上)
        RAKUTEN_DETAIL_COMMAND_CHANGE_POST_AUTH_REQ = "ChangePostAuthReq".freeze
        # 詳細コマンドタイプ:変更(売り下)
        RAKUTEN_DETAIL_COMMAND_CHANGE_POST_AUTH = "ChangePostAuth".freeze

        # 詳細コマンドタイプ:取消要求(与信)
        RAKUTEN_DETAIL_COMMAND_VOID_AUTH_REQ = "VoidAuthReq".freeze
        # 詳細コマンドタイプ:取消(与信)
        RAKUTEN_DETAIL_COMMAND_VOID_AUTH = "VoidAuth".freeze
        # 詳細コマンドタイプ:変更要求(与信)
        RAKUTEN_DETAIL_COMMAND_CHANGE_AUTH_REQ = "ChangeAuthReq".freeze

        # 詳細コマンドタイプ:変更(与信)
        RAKUTEN_DETAIL_COMMAND_CHANGE_AUTH = "ChangeAuth".freeze
        # 詳細コマンドタイプ:与信売上
        RAKUTEN_DETAIL_COMMAND_AUTH_CAPTURE = "AuthCapture".freeze
        # 詳細コマンドタイプ:与信売上失敗
        RAKUTEN_DETAIL_COMMAND_AUTH_CAPTURE_FAIL = "AuthCaptureFail".freeze

        # 詳細コマンドタイプ:与信(与信売上Emu)
        RAKUTEN_DETAIL_COMMAND_EMU_AUTH = "EmuAuth".freeze
        # 詳細コマンドタイプ:売上要求(与信売上Emu)
        RAKUTEN_DETAIL_COMMAND_EMU_POST_AUTH_REQ = "EmuPostAuthReq".freeze
        # 詳細コマンドタイプ:売上(与信売上Emu)
        RAKUTEN_DETAIL_COMMAND_EMU_POST_AUTH = "EmuPostAuth".freeze

        # 詳細コマンドタイプ:売上失敗（与信売上Emu）
        RAKUTEN_DETAIL_COMMAND_EMU_POST_AUTH_FAIL = "EmuPostAuthFail".freeze
        # 詳細コマンドタイプ:取消要求（与信売上）
        RAKUTEN_DETAIL_COMMAND_VOID_AUTH_CAPTURE_REQ = "VoidAuthCaptureReq".freeze
        # 詳細コマンドタイプ:取消（与信売上）
        RAKUTEN_DETAIL_COMMAND_VOID_AUTH_CAPTURE = "VoidAuthCapture".freeze

        # 詳細コマンドタイプ:変更要求（与信売上）
        RAKUTEN_DETAIL_COMMAND_CHANGE_AUTH_CAPTURE_REQ = "ChangeAuthCaptureReq".freeze
        # 詳細コマンドタイプ:変更（与信売上）
        RAKUTEN_DETAIL_COMMAND_CHANGE_AUTH_CAPTURE = "ChangeAuthCapture".freeze
        # 詳細コマンドタイプ:与信無効
        RAKUTEN_DETAIL_COMMAND_EXPIRED_AUTH = "ExpiredAuth".freeze

        # 詳細コマンドタイプ:返金
        RAKUTEN_DETAIL_COMMAND_REFUND_POST_AUTH = "RefundPostAuth".freeze
        # 詳細コマンドタイプ:返金（与信売上）
        RAKUTEN_DETAIL_COMMAND_REFUND_AUTH_CAPTURE = "RefundAuthCapture".freeze
        # 詳細コマンドタイプ:承諾
        RAKUTEN_DETAIL_COMMAND_CONSENT = "Consent".freeze

        # 承諾状態:初期状態
        RAKUTEN_CONSENT_STATUS_INIT    = "Init".freeze
        # 承諾状態:承諾
        RAKUTEN_CONSENT_STATUS_CONSENT = "Consent".freeze

      ## リクルート ##
        # リクルート：与信同時売上フラグ（与信のみ）
        RECRUIT_AUTH_ONLY             = FALSE
        # リクルート：与信同時売上フラグ（与信同時売上）
        RECRUIT_AUTH_WITH_CAPTURE     = TRUE

        ## for Search ##

        # リクルート：詳細取引決済状態 init
        RECRUIT_DETAIL_ORDER_TYPE_INIT                         = "Init".freeze
        # リクルート：詳細取引決済状態 与信
        RECRUIT_DETAIL_ORDER_TYPE_AUTH                         = "Auth".freeze
        # リクルート：詳細取引決済状態 売上
        RECRUIT_DETAIL_ORDER_TYPE_POST_AUTH                    = "PostAuth".freeze
        # リクルート：詳細取引決済状態 取消(売上)
        RECRUIT_DETAIL_ORDER_TYPE_VOID_POST_AUTH               = "VoidPostAuth".freeze
        # リクルート：詳細取引決済状態 変更(売上)
        RECRUIT_DETAIL_ORDER_TYPE_CHANGE_POST_AUTH             = "ChangePostAuth".freeze
        # リクルート：詳細取引決済状態 取消(与信)
        RECRUIT_DETAIL_ORDER_TYPE_VOID_AUTH                    = "VoidAuth".freeze
        # リクルート：詳細取引決済状態 変更(与信)
        RECRUIT_DETAIL_ORDER_TYPE_CHANGE_AUTH                  = "ChangeAuth".freeze
        # リクルート：詳細取引決済状態 与信売上
        RECRUIT_DETAIL_ORDER_TYPE_AUTH_CAPTURE                 = "AuthCapture".freeze
        # リクルート：詳細取引決済状態 取消(与信売上)
        RECRUIT_DETAIL_ORDER_TYPE_VOID_AUTH_CAPTURE            = "VoidAuthCapture".freeze
        # リクルート：詳細取引決済状態 変更(与信売上)
        RECRUIT_DETAIL_ORDER_TYPE_CHANGE_AUTH_CAPTURE          = "ChangeAuthCapture".freeze
        # リクルート：詳細取引決済状態 与信無効
        RECRUIT_DETAIL_ORDER_TYPE_EXPIRED_AUTH                 = "ExpiredAuth".freeze

        # 詳細コマンドタイプ:初期状態
        RECRUIT_DETAIL_COMMAND_INIT = "Init".freeze
        # 詳細コマンドタイプ:決済認可
        RECRUIT_DETAIL_COMMAND_PRE_AUTH = "PreAuth".freeze
        # 詳細コマンドタイプ:与信
        RECRUIT_DETAIL_COMMAND_AUTH = "Auth".freeze

        # 詳細コマンドタイプ:売上要求中
        RECRUIT_DETAIL_COMMAND_POST_AUTH_REQ = "PostAuthReq".freeze
        # 詳細コマンドタイプ:売上
        RECRUIT_DETAIL_COMMAND_POST_AUTH = "PostAuth".freeze
        # 詳細コマンドタイプ:取消(売上)
        RECRUIT_DETAIL_COMMAND_VOID_POST_AUTH = "VoidPostAuth".freeze

        # 詳細コマンドタイプ:変更(売上)
        RECRUIT_DETAIL_COMMAND_CHANGE_POST_AUTH = "ChangePostAuth".freeze
        # 詳細コマンドタイプ:取消(与信)
        RECRUIT_DETAIL_COMMAND_VOID_AUTH = "VoidAuth".freeze
        # 詳細コマンドタイプ:与信(与信売上Emu)
        RECRUIT_DETAIL_COMMAND_EMU_AUTH = "EmuAuth".freeze

        # 詳細コマンドタイプ:売上要求中(与信売上Emu)
        RECRUIT_DETAIL_COMMAND_EMU_POST_AUTH_REQ = "EmuPostAuthReq".freeze
        # 詳細コマンドタイプ:売上(与信売上Emu)
        RECRUIT_DETAIL_COMMAND_EMU_POST_AUTH = "EmuPostAuth".freeze
        # 詳細コマンドタイプ:取消（与信売上）
        RECRUIT_DETAIL_COMMAND_VOID_AUTH_CAPTURE = "VoidAuthCapture".freeze

        # 詳細コマンドタイプ:変更（与信売上）
        RECRUIT_DETAIL_COMMAND_CHANGE_AUTH_CAPTURE = "ChangeAuthCapture".freeze
        # 詳細コマンドタイプ:与信無効
        RECRUIT_DETAIL_COMMAND_EXPIRED_AUTH = "ExpiredAuth".freeze
        # 詳細コマンドタイプ:与信期限延長
        RECRUIT_DETAIL_COMMAND_EXTEND_AUTH = "ExtendAuth".freeze

      ## LINE Pay ##
        # LINE Pay：与信同時売上フラグ（与信のみ）
        LINEPAY_AUTH_ONLY             = FALSE
        # LINE Pay：与信同時売上フラグ（与信同時売上）
        LINEPAY_AUTH_WITH_CAPTURE     = TRUE
        # LINE Pay：使用ブラウザ判定フラグ（LINE Pay側でブラウザ判定しない）
        LINEPAY_NOT_CHECK_USE_BROWSER = FALSE
        # LINE Pay：使用ブラウザ判定フラグ（LINE Pay側でブラウザ判定する）
        LINEPAY_CHECK_USE_BROWSER     = TRUE
        # LINE Pay：独自アプリ起動のオプション指定（オプションを使用しない場合）
        LINEPAY_NOT_USE_ORIGINAL_APP  = "0".freeze
        # LINE Pay：独自アプリ起動のオプション指定（URLエンコーディングを使用する場合）
        LINEPAY_USE_ORIGINAL_APP_ENCODING = "1".freeze
        # LINE Pay：決済確認方法の指定（3者間通信の場合）
        LINEPAY_TRIPARTITE_COMMUNICATION = "0".freeze
        # LINE Pay：決済確認方法の指定（2者間通信の場合）
        LINEPAY_TWO_PARTIES_COMMUNICATION = "1".freeze

        ## for Search ##

        # LINE Pay：詳細取引決済状態 init
        LINEPAY_DETAIL_ORDER_TYPE_INIT                         = "Init".freeze
        # LINE Pay：詳細取引決済状態 与信
        LINEPAY_DETAIL_ORDER_TYPE_AUTH                         = "Auth".freeze
        # LINE Pay：詳細取引決済状態 売上
        LINEPAY_DETAIL_ORDER_TYPE_POST_AUTH                    = "PostAuth".freeze
        # LINE Pay：詳細取引決済状態 取消(売上)
        LINEPAY_DETAIL_ORDER_TYPE_VOID_POST_AUTH               = "VoidPostAuth".freeze
        # LINE Pay：詳細取引決済状態 取消(与信)
        LINEPAY_DETAIL_ORDER_TYPE_VOID_AUTH                    = "VoidAuth".freeze
        # LINE Pay：詳細取引決済状態 与信売上
        LINEPAY_DETAIL_ORDER_TYPE_AUTH_CAPTURE                 = "AuthCapture".freeze
        # LINE Pay：詳細取引決済状態 取消(与信売上)
        LINEPAY_DETAIL_ORDER_TYPE_VOID_AUTH_CAPTURE            = "VoidAuthCapture".freeze
        # LINE Pay：詳細取引決済状態 与信無効
        LINEPAY_DETAIL_ORDER_TYPE_EXPIRED_AUTH                 = "ExpiredAuth".freeze

        # 詳細コマンドタイプ:初期状態
        LINEPAY_DETAIL_COMMAND_INIT = "Init".freeze
        # 詳細コマンドタイプ:決済認可
        LINEPAY_DETAIL_COMMAND_PRE_AUTH = "PreAuth".freeze
        # 詳細コマンドタイプ:決済キャンセル
        LINEPAY_DETAIL_COMMAND_QUIT_AUTH = "QuitAuth".freeze
        # 詳細コマンドタイプ:与信
        LINEPAY_DETAIL_COMMAND_AUTH = "Auth".freeze
        # 詳細コマンドタイプ:与信失敗
        LINEPAY_DETAIL_COMMAND_AUTH_FAIL = "AuthFail".freeze
        # 詳細コマンドタイプ:売上
        LINEPAY_DETAIL_COMMAND_POST_AUTH = "PostAuth".freeze
        # 詳細コマンドタイプ:取消(売上)
        LINEPAY_DETAIL_COMMAND_VOID_POST_AUTH = "VoidPostAuth".freeze
        # 詳細コマンドタイプ:取消(与信)
        LINEPAY_DETAIL_COMMAND_VOID_AUTH = "VoidAuth".freeze
        # 詳細コマンドタイプ:売上(与信売上)
        LINEPAY_DETAIL_COMMAND_AUTH_CAPTURE = "AuthCapture".freeze
        # 詳細コマンドタイプ:売上(与信売上)失敗
        LINEPAY_DETAIL_COMMAND_AUTH_CAPTURE_FAIL = "AuthCaptureFail".freeze
        # 詳細コマンドタイプ:取消（与信売上）
        LINEPAY_DETAIL_COMMAND_VOID_AUTH_CAPTURE = "VoidAuthCapture".freeze
        # 詳細コマンドタイプ:与信無効
        LINEPAY_DETAIL_COMMAND_EXPIRED_AUTH = "ExpiredAuth".freeze

      ## MasterPass ##

        # MasterPass：与信同時売上フラグ（与信のみ）
        MASTERPASS_AUTH_ONLY             = FALSE
        # MasterPass：与信同時売上フラグ（与信同時売上）
        MASTERPASS_AUTH_WITH_CAPTURE     = TRUE
        # MasterPass：配送先抑止フラグ（false）
        MASTERPASS_SUPPRESS_SHIPPING_ADDRESS_0 = FALSE
        # MasterPass：配送先抑止フラグ（Suppress-抑止する）
        MASTERPASS_SUPPRESS_SHIPPING_ADDRESS_1 = TRUE
        # MasterPass：3Dセキュア（3Dセキュアなし）
        MASTERPASS_3D_FLAG_0 = FALSE
        # MasterPass：3Dセキュア（3Dセキュアあり）
        MASTERPASS_3D_FLAG_1 = TRUE
        # MasterPass：直接返品フラグ（通常のキャンセル）
        MASTERPASS_WITH_DIRECT_0 = FALSE
        # MasterPass：直接返品フラグ（直接返品）
        MASTERPASS_WITH_DIRECT_1 = TRUE

        ## for Search ##

        # MasterPass：詳細取引決済状態 init
        MASTERPASS_DETAIL_ORDER_TYPE_INIT                         = "Init".freeze
        # MasterPass：詳細取引決済状態 与信
        MASTERPASS_DETAIL_ORDER_TYPE_AUTH                         = "Auth".freeze
        # MasterPass：詳細取引決済状態 売上
        MASTERPASS_DETAIL_ORDER_TYPE_POST_AUTH                    = "PostAuth".freeze
        # MasterPass：詳細取引決済状態 取消(売上)
        MASTERPASS_DETAIL_ORDER_TYPE_VOID_POST_AUTH               = "VoidPostAuth".freeze
        # MasterPass：詳細取引決済状態 取消(与信)
        MASTERPASS_DETAIL_ORDER_TYPE_VOID_AUTH                    = "VoidAuth".freeze
        # MasterPass：詳細取引決済状態 与信売上
        MASTERPASS_DETAIL_ORDER_TYPE_AUTH_CAPTURE                 = "AuthCapture".freeze
        # MasterPass：詳細取引決済状態 取消(与信売上)
        MASTERPASS_DETAIL_ORDER_TYPE_VOID_AUTH_CAPTURE            = "VoidAuthCapture".freeze

        # 詳細コマンドタイプ:初期状態
        MASTERPASS_DETAIL_COMMAND_INIT = "Init".freeze
        # 詳細コマンドタイプ:申込
        MASTERPASS_DETAIL_COMMAND_LOGIN = "Login".freeze
        # 詳細コマンドタイプ:申込通知
        MASTERPASS_DETAIL_COMMAND_LOGIN_NOTIFY = "LoginNotify".freeze
        # 詳細コマンドタイプ:与信
        MASTERPASS_DETAIL_COMMAND_AUTH = "Auth".freeze
        # 詳細コマンドタイプ:売上
        MASTERPASS_DETAIL_COMMAND_POST_AUTH = "PostAuth".freeze
        # 詳細コマンドタイプ:取消(売上)
        MASTERPASS_DETAIL_COMMAND_VOID_POST_AUTH = "VoidPostAuth".freeze
        # 詳細コマンドタイプ:取消(与信)
        MASTERPASS_DETAIL_COMMAND_VOID_AUTH = "VoidAuth".freeze
        # 詳細コマンドタイプ:売上(与信売上)
        MASTERPASS_DETAIL_COMMAND_AUTH_CAPTURE = "AuthCapture".freeze
        # 詳細コマンドタイプ:取消（与信売上）
        MASTERPASS_DETAIL_COMMAND_VOID_AUTH_CAPTURE = "VoidAuthCapture".freeze

      ## 銀行振込決済 ##

        # サービスオプションタイプ：りそな
        VACC_RESONA = "resona".freeze
        # 口座管理方式：実口座
        ACCOUNT_MANAGE_TYPE_REAL = "0".freeze
        # 口座管理方式：バーチャル口座
        ACCOUNT_MANAGE_TYPE_VIRTUAL = "1".freeze
        # 消込フラグ：消込しない
        WITH_RECONCILE_NOT = "0".freeze
        # 消込フラグ：消込(強制)
        WITH_RECONCILE_FORCE = "1".freeze
        # 消込フラグ：消込(自動)
        WITH_RECONCILE_AUTO = "2".freeze
        # 登録方法：手動
        REGISTRATION_METHOD_MANUAL = "0".freeze
        # 登録方法：自動
        REGISTRATION_METHOD_AUTO = "1".freeze

        ## for Search ##

        # バーチャル口座決済：詳細取引決済状態 init
        VIRTUALACC_DETAIL_ORDER_TYPE_INIT                         = "Init".freeze
        # バーチャル口座決済：詳細取引決済状態 与信
        VIRTUALACC_DETAIL_ORDER_TYPE_AUTH                         = "Auth".freeze
        # バーチャル口座決済：詳細取引決済状態 取消
        VIRTUALACC_DETAIL_ORDER_TYPE_VOID_AUTH                    = "VoidAuth".freeze
        # バーチャル口座決済：詳細取引決済状態 消込
        VIRTUALACC_DETAIL_ORDER_TYPE_RECONCILE                    = "Reconcile".freeze

        # 詳細コマンドタイプ:初期状態
        VIRTUALACC_DETAIL_COMMAND_INIT = "Init".freeze
        # 詳細コマンドタイプ:与信
        VIRTUALACC_DETAIL_COMMAND_AUTH = "Auth".freeze
        # 詳細コマンドタイプ:入金
        VIRTUALACC_DETAIL_COMMAND_DEPOSIT_ENTRY = "DepositEntry".freeze
        # 詳細コマンドタイプ:入金取消
        VIRTUALACC_DETAIL_COMMAND_DEPOSIT_REVERSE = "DepositReverse".freeze
        # 詳細コマンドタイプ:消込
        VIRTUALACC_DETAIL_COMMAND_RECONCILE = "Reconcile".freeze
        # 詳細コマンドタイプ:消込取消
        VIRTUALACC_DETAIL_COMMAND_UNDO_RECONCILE = "UndoReconcile".freeze
        # 詳細コマンドタイプ:取消
        VIRTUALACC_DETAIL_COMMAND_VOID_AUTH = "VoidAuth".freeze

      ## Tenpay ##

        # Tenpay：サービスオプションタイプ：バーコード決済
        TENPAY_BARCODE = "barcode".freeze
        # Tenpay：サービスオプションタイプ：スキャンコード決済
        TENPAY_SCANCODE = "scancode".freeze
        # Tenpay：与信同時売上フラグ(与信同時売上)
        TENPAY_AUTH_WITH_CAPTURE = TRUE

        ## for Search ##

        # Tenpay：詳細取引決済状態 init
        TENPAY_DETAIL_ORDER_TYPE_INIT                = "Init".freeze
        # Tenpay：詳細取引決済状態 与信売上
        TENPAY_DETAIL_ORDER_TYPE_AUTH_CAPTURE        = "AuthCapture".freeze
        # Tenpay：詳細取引決済状態 取消(与信売上)
        TENPAY_DETAIL_ORDER_TYPE_VOID_AUTH_CAPTURE   = "VoidAuthCapture".freeze

        # 詳細コマンドタイプ:初期状態
        TENPAY_DETAIL_COMMAND_INIT                = "Init".freeze
        # 詳細コマンドタイプ:決済認可
        TENPAY_DETAIL_COMMAND_PRE_AUTH            = "PreAuth".freeze
        # 詳細コマンドタイプ:売上(承認待ち)
        TENPAY_DETAIL_COMMAND_USER_PAYING         = "UserPaying".freeze
        # 詳細コマンドタイプ:売上(与信売上)
        TENPAY_DETAIL_COMMAND_AUTH_CAPTURE        = "AuthCapture".freeze
        # 詳細コマンドタイプ:返金(与信売上)
        TENPAY_DETAIL_COMMAND_REFUND_AUTH_CAPTURE = "RefundAuthCapture".freeze
        # 詳細コマンドタイプ:取消(与信売上)
        TENPAY_DETAIL_COMMAND_VOID_AUTH_CAPTURE   = "VoidAuthCapture".freeze

      ## CvsPay ##

        # CvsPay：決済種別：オンライン決済
        CVSPAY_ONLINE = "online".freeze
        # CvsPay：サービスオプションタイプ：ファミペイ
        CVSPAY_FAMIPAY = "famipay".freeze
        # CvsPay：与信同時売上フラグ(与信同時売上)
        CVSPAY_AUTH_WITH_CAPTURE = TRUE

        ## for Search ##

        # CvsPay：詳細取引決済状態 init
        CVSPAY_DETAIL_ORDER_TYPE_INIT                = "Init".freeze
        # CvsPay：詳細取引決済状態 課金申込
        CVSPAY_DETAIL_ORDER_TYPE_AUTH                = "Auth".freeze
        # CvsPay：詳細取引決済状態 キャンセル(課金申込)
        CVSPAY_DETAIL_ORDER_TYPE_QUIT_AUTH           = "QuitAuth".freeze
        # CvsPay：詳細取引決済状態 売上(与信売上)
        CVSPAY_DETAIL_ORDER_TYPE_AUTH_CAPTURE        = "AuthCapture".freeze
        # CvsPay：詳細取引決済状態 取消(与信売上)
        CVSPAY_DETAIL_ORDER_TYPE_VOID_AUTH_CAPTURE   = "VoidAuthCapture".freeze

        # 詳細コマンドタイプ:初期状態
        CVSPAY_DETAIL_COMMAND_INIT                = "Init".freeze
        # 詳細コマンドタイプ:決済認可
        CVSPAY_DETAIL_COMMAND_PRE_AUTH            = "PreAuth".freeze
        # 詳細コマンドタイプ:決済キャンセル
        CVSPAY_DETAIL_COMMAND_QUIT_AUTH           = "QuitAuth".freeze
        # 詳細コマンドタイプ:売上(与信売上)
        CVSPAY_DETAIL_COMMAND_AUTH_CAPTURE        = "AuthCapture".freeze
        # 詳細コマンドタイプ:取消(与信売上)
        CVSPAY_DETAIL_COMMAND_VOID_AUTH_CAPTURE   = "VoidAuthCapture".freeze

      ## スコア@払い ##

        # スコア@払い : 請求書別送
        SCOREATPAY_SEPARATE_INVOICE = "2".freeze
        # スコア@払い : 請求書同梱
        SCOREATPAY_WITH_INVOICE = "3".freeze

        ## for Search ##

        # スコア@払い：詳細取引決済状態 与信
        SCOREATPAY_DETAIL_ORDER_TYPE_AUTH = "Auth".freeze
        # スコア@払い：詳細取引決済状態 与信審査保留
        SCOREATPAY_DETAIL_ORDER_TYPE_HOLD = "Hold".freeze
        # スコア@払い：詳細取引決済状態 売上
        SCOREATPAY_DETAIL_ORDER_TYPE_POSTAUTH = "PostAuth".freeze
        # スコア@払い：詳細取引決済状態 取消(与信)
        SCOREATPAY_DETAIL_ORDER_TYPE_VOIDAUTH = "VoidAuth".freeze
        # スコア@払い：詳細取引決済状態 取消(与信審査保留)
        SCOREATPAY_DETAIL_ORDER_TYPE_VOIDHOLD = "VoidHold".freeze
        # スコア@払い：詳細取引決済状態 取消(売上)
        SCOREATPAY_DETAIL_ORDER_TYPE_VOIDPOSTAUTH = "VoidPostAuth".freeze
        # スコア@払い：詳細取引決済状態 与信期限切れ
        SCOREATPAY_DETAIL_ORDER_TYPE_EXPIREDAUTH = "ExpiredAuth".freeze

        # 詳細コマンドタイプ:与信
        SCOREATPAY_DETAIL_COMMAND_AUTH = "Auth".freeze
        # 詳細コマンドタイプ:与信(注文情報修正)
        SCOREATPAY_DETAIL_COMMAND_CORRECTAUTH = "CorrectAuth".freeze
        # 詳細コマンドタイプ:与信(与信結果確認)
        SCOREATPAY_DETAIL_COMMAND_CONFIRM = "Confirm".freeze
        # 詳細コマンドタイプ:売上(発送情報登録)
        SCOREATPAY_DETAIL_COMMAND_POSTAUTH = "PostAuth".freeze
        # 詳細コマンドタイプ:発送情報登録
        SCOREATPAY_DETAIL_COMMAND_POSTINGAUTH = "PostingAuth".freeze
        # 詳細コマンドタイプ:発送準備完了
        SCOREATPAY_DETAIL_COMMAND_GETINVOICEDATA = "GetInvoiceData".freeze
        # 詳細コマンドタイプ:取消(与信)
        SCOREATPAY_DETAIL_COMMAND_VOIDAUTH = "VoidAuth".freeze
        # 詳細コマンドタイプ:取消(与信結果確認)
        SCOREATPAY_DETAIL_COMMAND_VOIDHOLD = "VoidHold".freeze
        # 詳細コマンドタイプ:取消(売上)
        SCOREATPAY_DETAIL_COMMAND_VOIDPOSTAUTH = "VoidPostAuth".freeze
        # 詳細コマンドタイプ:与信期限切れ
        SCOREATPAY_DETAIL_COMMAND_EXPIREDAUTH = "ExpiredAuth".freeze

        # 最新自動審査結果:承認
        SCOREATPAY_LAST_AUTHOR_RESULT_OK = "OK".freeze
        # 最新自動審査結果:否認
        SCOREATPAY_LAST_AUTHOR_RESULT_NG = "NG".freeze
        # 最新自動審査結果:審査中(HOLD)
        SCOREATPAY_LAST_AUTHOR_RESULT_HD = "HD".freeze
        # 最新自動審査結果:保留
        SCOREATPAY_LAST_AUTHOR_RESULT_HR = "HR".freeze

      ## PayPay ##

        # PayPay：サービスオプションタイプ：バーコード決済
        PAYPAY_BARCODE = "barcode".freeze
        # PayPay：サービスオプションタイプ：オンライン決済
        PAYPAY_ONLINE = "online".freeze
        # PayPay：与信同時売上フラグ（与信同時売上）
        PAYPAY_AUTH_WITH_CAPTURE = TRUE
        # PayPay：課金種別（都度）
        PAYPAY_ACCOUNTING_TYPE_ONETIME = "0".freeze
        # PayPay：課金種別（随時）
        PAYPAY_ACCOUNTING_TYPE_ONDEMAND = "1".freeze
        # PayPay：支払い要求実行フラグ（要求あり）
        PAYPAY_NSF_RECOVERY_FLAG_TRUE = TRUE
        # PayPay：支払い要求実行フラグ（要求なし）
        PAYPAY_NSF_RECOVERY_FLAG_FALSE = FALSE
        # PayPay：遷移種別（アプリから遷移(WebLink)）
        PAYPAY_TRANSITIONTYPE_WEBLINK = "1".freeze
        # PayPay：遷移種別（アプリから遷移(DeepLink)）
        PAYPAY_TRANSITIONTYPE_DEEPLINK = "2".freeze
        # PayPay：拡張パラメータフラグ（デフォルトタイプの設定）
        PAYPAY_EXTEND_PARAMETER_TYPE_OFF = "0".freeze
        # PayPay：拡張パラメータフラグ（拡張タイプの設定）
        PAYPAY_EXTEND_PARAMETER_TYPE_ON = "1".freeze

        ## for Search ##

        # PayPay：詳細取引決済状態 init
        PAYPAY_DETAIL_ORDER_TYPE_INIT                          = "Init".freeze
        # PayPay：詳細取引決済状態 与信
        PAYPAY_DETAIL_ORDER_TYPE_AUTH                          = "Auth".freeze
        # PayPay：詳細取引決済状態 売上
        PAYPAY_DETAIL_ORDER_TYPE_POST_AUTH                     = "PostAuth".freeze
        # PayPay：詳細取引決済状態 取消(売上)
        PAYPAY_DETAIL_ORDER_TYPE_VOID_POST_AUTH                = "VoidPostAuth".freeze
        # PayPay：詳細取引決済状態 取消(与信)
        PAYPAY_DETAIL_ORDER_TYPE_VOID_AUTH                     = "VoidAuth".freeze
        # PayPay：詳細取引決済状態 与信売上
        PAYPAY_DETAIL_ORDER_TYPE_AUTH_CAPTURE                  = "AuthCapture".freeze
        # PayPay：詳細取引決済状態 取消(与信売上)
        PAYPAY_DETAIL_ORDER_TYPE_VOID_AUTH_CAPTURE             = "VoidAuthCapture".freeze
        # PayPay：詳細取引決済状態 売上要求(与信売上)
        PAYPAY_DETAIL_ORDER_TYPE_AUTH_CAPTURE_REQ              = "AuthCaptureReq".freeze
        # PayPay：詳細取引決済状態 売上要求取消(与信売上)
        PAYPAY_DETAIL_ORDER_TYPE_AUTH_CAPTURE_REQ_CANCEL       = "AuthCaptureReqCancel".freeze
        # PayPay：詳細取引決済状態 承諾
        PAYPAY_DETAIL_ORDER_TYPE_CONSENT                       = "Consent".freeze
        # PayPay：詳細取引決済状態 解約(3者間)
        PAYPAY_DETAIL_ORDER_TYPE_USER_CONSENT_TERMINATE        = "UserConsentTerminate".freeze
        # PayPay：詳細取引決済状態 解約(2者間)
        PAYPAY_DETAIL_ORDER_TYPE_CONSENT_TERMINATE             = "ConsentTerminate".freeze
        # PayPay：詳細取引決済状態 抹消
        PAYPAY_DETAIL_ORDER_TYPE_CONSENT_DEREGISTRATION        = "ConsentDeregistration".freeze

        # 詳細コマンドタイプ:初期状態
        PAYPAY_DETAIL_COMMAND_INIT                             = "Init".freeze
        # 詳細コマンドタイプ:決済認可
        PAYPAY_DETAIL_COMMAND_PRE_AUTH                         = "PreAuth".freeze
        # 詳細コマンドタイプ:決済キャンセル
        PAYPAY_DETAIL_COMMAND_QUIT_AUTH                        = "QuitAuth".freeze
        # 詳細コマンドタイプ:与信
        PAYPAY_DETAIL_COMMAND_AUTH                             = "Auth".freeze
        # 詳細コマンドタイプ:売上
        PAYPAY_DETAIL_COMMAND_POST_AUTH                        = "PostAuth".freeze
        # 詳細コマンドタイプ:返金(売上)
        PAYPAY_DETAIL_COMMAND_REFUND_POST_AUTH                 = "RefundPostAuth".freeze
        # 詳細コマンドタイプ:取消(売上)
        PAYPAY_DETAIL_COMMAND_VOID_POST_AUTH                   = "VoidPostAuth".freeze
        # 詳細コマンドタイプ:取消(与信)
        PAYPAY_DETAIL_COMMAND_VOID_AUTH                        = "VoidAuth".freeze
        # 詳細コマンドタイプ:与信売上
        PAYPAY_DETAIL_COMMAND_AUTH_CAPTURE                     = "AuthCapture".freeze
        # 詳細コマンドタイプ:返金(与信売上)
        PAYPAY_DETAIL_COMMAND_REFUND_AUTH_CAPTURE              = "RefundAuthCapture".freeze
        # 詳細コマンドタイプ:取消(与信売上)
        PAYPAY_DETAIL_COMMAND_VOID_AUTH_CAPTURE                = "VoidAuthCapture".freeze
        # 詳細コマンドタイプ:売上要求(与信売上)
        PAYPAY_DETAIL_COMMAND_AUTH_CAPTURE_REQ                 = "AuthCaptureReq".freeze
        # 詳細コマンドタイプ:売上要求取消(与信売上)
        PAYPAY_DETAIL_COMMAND_AUTH_CAPTURE_REQ_CANCEL          = "AuthCaptureReqCancel".freeze
        # 詳細コマンドタイプ:承諾
        PAYPAY_DETAIL_COMMAND_CONSENT                          = "Consent".freeze
        # 詳細コマンドタイプ:承諾キャンセル
        PAYPAY_DETAIL_COMMAND_QUIT_CONSENT                     = "QuitConsent".freeze
        # 詳細コマンドタイプ:抹消
        PAYPAY_DETAIL_COMMAND_CONSENT_DEREGISTRATION           = "ConsentDeregistration".freeze
        # 詳細コマンドタイプ:決済認可(解約要求)
        PAYPAY_DETAIL_COMMAND_USER_CONSENT_TERMINATE_PRE_AUTH  = "UserConsentTerminatePreAuth".freeze
        # 詳細コマンドタイプ:解約キャンセル
        PAYPAY_DETAIL_COMMAND_QUIT_USER_CONSENT_TERMINATE      = "QuitUserConsentTerminate".freeze
        # 詳細コマンドタイプ:解約(3者間)
        PAYPAY_DETAIL_COMMAND_USER_CONSENT_TERMINATE           = "UserConsentTerminate".freeze
        # 詳細コマンドタイプ:解約(2者間)
        PAYPAY_DETAIL_COMMAND_CONSENT_TERMINATE                = "ConsentTerminate".freeze

      ## Alipay+ ##

        # Alipay+：サービスオプションタイプ：バーコード決済
        ALIPAYX_BARCODE = "barcode".freeze
        # Alipay+：サービスオプションタイプ：スキャンコード決済
        ALIPAYX_SCANCODE = "scancode".freeze
        # Alipay+：与信同時売上フラグ(与信同時売上)
        ALIPAYX_AUTH_WITH_CAPTURE = TRUE

        ## for Search ##

        # Alipay+：詳細取引決済状態 init
        ALIPAYX_DETAIL_ORDER_TYPE_INIT                = "Init".freeze
        # Alipay+：詳細取引決済状態 決済認証
        ALIPAYX_DETAIL_ORDER_TYPE_PRE_AUTH            = "PreAuth".freeze
        # Alipay+：詳細取引決済状態 与信売上
        ALIPAYX_DETAIL_ORDER_TYPE_AUTH_CAPTURE        = "AuthCapture".freeze
        # Alipay+：詳細取引決済状態 取消(与信売上)
        ALIPAYX_DETAIL_ORDER_TYPE_VOID_AUTH_CAPTURE   = "VoidAuthCapture".freeze

        # 詳細コマンドタイプ:初期状態
        ALIPAYX_DETAIL_COMMAND_INIT                = "Init".freeze
        # 詳細コマンドタイプ:決済認可
        ALIPAYX_DETAIL_COMMAND_PRE_AUTH            = "PreAuth".freeze
        # 詳細コマンドタイプ:承認待ち
        ALIPAYX_DETAIL_COMMAND_USER_PAYING         = "UserPaying".freeze
        # 詳細コマンドタイプ:売上(与信売上)
        ALIPAYX_DETAIL_COMMAND_AUTH_CAPTURE        = "AuthCapture".freeze
        # 詳細コマンドタイプ:返金(与信売上)
        ALIPAYX_DETAIL_COMMAND_REFUND_AUTH_CAPTURE = "RefundAuthCapture".freeze
        # 詳細コマンドタイプ:取消(与信売上)
        ALIPAYX_DETAIL_COMMAND_VOID_AUTH_CAPTURE   = "VoidAuthCapture".freeze

      ## BankPay ##
      
        # BankPay：サービスオプションタイプ：オンライン決済
        BANKPAY_ONLINE = "online".freeze
                
        # BankPay：課金種別（継続課金）
        BANKPAY_ACCOUNTING_TYPE_ONETIME            = "0".freeze
        # BankPay：課金種別（継続課金）
        BANKPAY_ACCOUNTING_TYPE_ONDEMAND           = "1".freeze
        # BankPay：課金種別（チャージ（オープン））
        BANKPAY_ACCOUNTING_TYPE_CHARGE_OPEN        = "2".freeze
        # BankPay：課金種別（チャージ（ハウス））
        BANKPAY_ACCOUNTING_TYPE_CHARGE_HOUSE       = "3".freeze
        # BankPay：課金種別（チャージ（資金移動））
        BANKPAY_ACCOUNTING_TYPE_CHARGE_TRANSFER    = "4".freeze

        # BankPay：性別（男性）
        BANKPAY_GENDER_MALE   = "M".freeze
        # BankPay：性別（女性）
        BANKPAY_GENDER_FEMALE = "F".freeze

        ## for Search ##

        # BankPay：詳細取引決済状態 init
        BANKPAY_DETAIL_ORDER_TYPE_INIT                          = "Init".freeze
        # BankPay：詳細取引決済状態 与信売上
        BANKPAY_DETAIL_ORDER_TYPE_AUTH_CAPTURE                  = "AuthCapture".freeze
        # BankPay：詳細取引決済状態 取消(与信売上)
        BANKPAY_DETAIL_ORDER_TYPE_VOID_AUTH_CAPTURE             = "VoidAuthCapture".freeze

        # 詳細コマンドタイプ:初期状態
        BANKPAY_DETAIL_COMMAND_INIT                             = "Init".freeze
        # 詳細コマンドタイプ:与信売上
        BANKPAY_DETAIL_COMMAND_AUTH_CAPTURE                     = "AuthCapture".freeze
        # 詳細コマンドタイプ:取消(与信売上)
        BANKPAY_DETAIL_COMMAND_VOID_AUTH_CAPTURE                = "VoidAuthCapture".freeze

      ## Amazon Pay ##

        # Amazon Pay：課金種別(都度決済)
        AMAZONPAY_ONETIME = "0".freeze
        # Amazon Pay：課金種別(随時決済)
        AMAZONPAY_ONDEMAND = "1".freeze
        # Amazon Pay：与信同時売上フラグ(与信のみ)
        AMAZONPAY_AUTH_ONLY = FALSE
        # Amazon Pay：与信同時売上フラグ(与信同時売上)
        AMAZONPAY_AUTH_WITH_CAPTURE = TRUE
        # Amazon Pay：配送先表示抑止フラグ（表示）
        AMAZONPAY_SUPPRESS_SHIPPING_ADDRESS_VIEW_FALSE = FALSE
        # Amazon Pay：配送先表示抑止フラグ（非表示）
        AMAZONPAY_SUPPRESS_SHIPPING_ADDRESS_VIEW_TRUE = TRUE
        # Amazon Pay：頻度(単位) 年
        AMAZONPAY_FREQUENCY_UNIT_YEAR = "Year".freeze
        # Amazon Pay：頻度(単位) 月
        AMAZONPAY_FREQUENCY_UNIT_MONTH = "Month".freeze
        # Amazon Pay：頻度(単位) 週
        AMAZONPAY_FREQUENCY_UNIT_WEEK = "Week".freeze
        # Amazon Pay：頻度(単位) 日
        AMAZONPAY_FREQUENCY_UNIT_DAY = "Day".freeze
        # Amazon Pay：承諾時決済タイプ（承諾のみ）
        AMAZONPAY_CONSENT_ONLY = "0".freeze
        # Amazon Pay：承諾時決済タイプ（与信＋承諾）
        AMAZONPAY_CONSENT_WITH_AUTH = "1".freeze
        # Amazon Pay：決済確認画面種別（0：DGFT決済確認画面利用）
        AMAZONPAY_CONFIRM_SCREEN_TYPE_NOT_USE = "0".freeze
        # Amazon Pay：決済確認画面種別（1：加盟店様決済確認画面利用）
        AMAZONPAY_CONFIRM_SCREEN_TYPE_USE = "1".freeze
        # Amazon Pay：与信期限延長フラグ（延長しない）
        EXTEND_EXPIRATION_FALSE = FALSE
        # Amazon Pay：与信期限延長フラグ（延長する）
        EXTEND_EXPIRATION_TRUE = TRUE

        ## for Search ##

        # Amazon Pay：詳細取引決済状態 初期状態
        AMAZONPAY_DETAIL_ORDER_TYPE_INIT                = "Init".freeze
        # Amazon Pay：詳細取引決済状態 与信
        AMAZONPAY_DETAIL_ORDER_TYPE_AUTH                = "Auth".freeze
        # Amazon Pay：詳細取引決済状態 売上
        AMAZONPAY_DETAIL_ORDER_TYPE_POST_AUTH           = "PostAuth".freeze
        # Amazon Pay：詳細取引決済状態 取消
        AMAZONPAY_DETAIL_ORDER_TYPE_VOID_POST_AUTH      = "VoidPostAuth".freeze
        # Amazon Pay：詳細取引決済状態 与信取消
        AMAZONPAY_DETAIL_ORDER_TYPE_VOID_AUTH           = "VoidAuth".freeze
        # Amazon Pay：詳細取引決済状態 与信売上
        AMAZONPAY_DETAIL_ORDER_TYPE_AUTH_CAPTURE        = "AuthCapture".freeze
        # Amazon Pay：詳細取引決済状態 取消(与信売上)
        AMAZONPAY_DETAIL_ORDER_TYPE_VOID_AUTH_CAPTURE   = "VoidAuthCapture".freeze
        # Amazon Pay：詳細取引決済状態 随時決済成立
        AMAZONPAY_DETAIL_ORDER_TYPE_ONDEMAND_COMPLETION = "OndemandCompletion".freeze

        # 詳細コマンドタイプ:初期状態
        AMAZONPAY_DETAIL_COMMAND_INIT                    = "Init".freeze
        # 詳細コマンドタイプ:認可
        AMAZONPAY_DETAIL_COMMAND_PRE_AUTH                = "PreAuth".freeze
        # 詳細コマンドタイプ:与信
        AMAZONPAY_DETAIL_COMMAND_AUTH                    = "Auth".freeze
        # 詳細コマンドタイプ:売上要求
        AMAZONPAY_DETAIL_COMMAND_POST_AUTH_REQ           = "PostAuthReq".freeze
        # 詳細コマンドタイプ:売上
        AMAZONPAY_DETAIL_COMMAND_POST_AUTH               = "PostAuth".freeze
        # 詳細コマンドタイプ:返金要求
        AMAZONPAY_DETAIL_COMMAND_REFUND_POST_AUTH_REQ    = "RefundPostAuthReq".freeze
        # 詳細コマンドタイプ:返金
        AMAZONPAY_DETAIL_COMMAND_REFUND_POST_AUTH        = "RefundPostAuth".freeze
        # 詳細コマンドタイプ:取消要求
        AMAZONPAY_DETAIL_COMMAND_VOID_POST_AUTH_REQ      = "VoidPostAuthReq".freeze
        # 詳細コマンドタイプ:取消
        AMAZONPAY_DETAIL_COMMAND_VOID_POST_AUTH          = "VoidPostAuth".freeze
        # 詳細コマンドタイプ:与信取消
        AMAZONPAY_DETAIL_COMMAND_VOID_AUTH               = "VoidAuth".freeze
        # 詳細コマンドタイプ:与信売上
        AMAZONPAY_DETAIL_COMMAND_AUTH_CAPTURE            = "AuthCapture".freeze
        # 詳細コマンドタイプ:返金要求(与信売上)
        AMAZONPAY_DETAIL_COMMAND_REFUND_AUTH_CAPTURE_REQ = "RefundAuthCaptureReq".freeze
        # 詳細コマンドタイプ:返金(与信売上)
        AMAZONPAY_DETAIL_COMMAND_REFUND_AUTH_CAPTURE     = "RefundAuthCapture".freeze
        # 詳細コマンドタイプ:取消要求(与信売上)
        AMAZONPAY_DETAIL_COMMAND_VOID_AUTH_CAPTURE_REQ   = "VoidAuthCaptureReq".freeze
        # 詳細コマンドタイプ:取消(与信売上)
        AMAZONPAY_DETAIL_COMMAND_VOID_AUTH_CAPTURE       = "VoidAuthCapture".freeze
        # 詳細コマンドタイプ:解約
        AMAZONPAY_DETAIL_COMMAND_CONSENT_TERMINATE       = "ConsentTerminate".freeze
        # 詳細コマンドタイプ:抹消
        AMAZONPAY_DETAIL_COMMAND_CONSENT_DEREGISTRATION  = "ConsentDeregistration".freeze
        # 詳細コマンドタイプ:承諾
        AMAZONPAY_DETAIL_COMMAND_CONSENT                 = "Consent".freeze
        
        # 承諾状態:初期状態
        AMAZONPAY_CONSENT_STATUS_INIT                   = "Init".freeze
        # 承諾状態:承諾
        AMAZONPAY_CONSENT_STATUS_CONSENT                = "Consent".freeze
        # 承諾状態:解約
        AMAZONPAY_CONSENT_STATUS_CONSENT_TERMINATE      = "ConsentTerminate".freeze
        # 承諾状態:抹消
        AMAZONPAY_CONSENT_STATUS_CONSENT_DEREGISTRATION = "ConsentDeregistration".freeze

      ## メルペイ ##

        # メルペイ：サービスオプションタイプ：オンライン
        MERPAY_ONLINE                                   = "online".freeze
        # メルペイ：サービスオプションタイプ：バーコード
        MERPAY_BARCODE                                  = "barcode".freeze
        # メルペイ：課金種別（都度決済）
        MERPAY_ONETIME                                  = "0".freeze
        # メルペイ：課金種別（随時決済）
        MERPAY_ONDEMAND                                 = "1".freeze
        # メルペイ：与信同時売上フラグ(与信のみ)
        MERPAY_AUTH_ONLY                                = FALSE
        # メルペイ：与信同時売上フラグ(与信同時売上)
        MERPAY_AUTH_WITH_CAPTURE                        = TRUE
        # メルペイ：配送先情報フラグ（使用しない）
        MERPAY_USE_DELIVERY_ADDRESS_FALSE               = FALSE
        # メルペイ：配送先情報フラグ（使用する）
        MERPAY_USE_DELIVERY_ADDRESS_TRUE                = TRUE
        # メルペイ：購入者情報フラグ（使用しない）
        MERPAY_USE_BUYER_INFO_FALSE                     = FALSE
        # メルペイ：購入者情報フラグ（使用する）
        MERPAY_USE_BUYER_INFO_TRUE                      = TRUE
        # メルペイ：承諾時決済フラグ：承諾のみ
        MERPAY_CONSENT                                  = "0".freeze
        # メルペイ：承諾時決済フラグ：承諾同時決済
        MERPAY_CONSENT_AUTH                             = "1".freeze

        ## for Search ##

        # メルペイ：詳細取引決済状態 init
        MERPAY_DETAIL_ORDER_TYPE_INIT                   = "Init".freeze
        # メルペイ：詳細取引決済状態 与信
        MERPAY_DETAIL_ORDER_TYPE_AUTH                   = "Auth".freeze
        # メルペイ：詳細取引決済状態 売上
        MERPAY_DETAIL_ORDER_TYPE_POST_AUTH              = "PostAuth".freeze
        # メルペイ：詳細取引決済状態 取消(売上)
        MERPAY_DETAIL_ORDER_TYPE_VOID_POST_AUTH         = "VoidPostAuth".freeze
        # メルペイ：詳細取引決済状態 取消(与信)
        MERPAY_DETAIL_ORDER_TYPE_VOID_AUTH              = "VoidAuth".freeze
        # メルペイ：詳細取引決済状態 与信無効
        MERPAY_DETAIL_ORDER_TYPE_EXPIRED_AUTH           = "ExpiredAuth".freeze
        # メルペイ：詳細取引決済状態 与信売上
        MERPAY_DETAIL_ORDER_TYPE_AUTH_CAPTURE           = "AuthCapture".freeze
        # メルペイ：詳細取引決済状態 取消(与信売上)
        MERPAY_DETAIL_ORDER_TYPE_VOID_AUTH_CAPTURE      = "VoidAuthCapture".freeze
        # メルペイ：詳細取引決済状態 承諾
        MERPAY_DETAIL_ORDER_TYPE_CONSENT                = "Consent".freeze
        # メルペイ：詳細取引決済状態 解約
        MERPAY_DETAIL_ORDER_TYPE_CONSENT_TERMINATE      = "ConsentTerminate".freeze

        # 詳細コマンドタイプ:初期状態
        MERPAY_DETAIL_COMMAND_INIT                   = "Init".freeze
        # 詳細コマンドタイプ:決済確認
        MERPAY_DETAIL_COMMAND_CONFIRM_PRE_AUTH       = "ConfirmPreAuth".freeze
        # 詳細コマンドタイプ:決済確定
        MERPAY_DETAIL_COMMAND_PRE_AUTH               = "PreAuth".freeze
        # 詳細コマンドタイプ:与信
        MERPAY_DETAIL_COMMAND_AUTH                   = "Auth".freeze
        # 詳細コマンドタイプ:売上
        MERPAY_DETAIL_COMMAND_POST_AUTH              = "PostAuth".freeze
        # 詳細コマンドタイプ:返金
        MERPAY_DETAIL_COMMAND_REFUND_POST_AUTH       = "RefundPostAuth".freeze
        # 詳細コマンドタイプ:取消(売上)
        MERPAY_DETAIL_COMMAND_VOID_POST_AUTH         = "VoidPostAuth".freeze
        # 詳細コマンドタイプ:取消(与信)
        MERPAY_DETAIL_COMMAND_VOID_AUTH              = "VoidAuth".freeze
        # 詳細コマンドタイプ:与信無効
        MERPAY_DETAIL_COMMAND_EXPIRED_AUTH           = "ExpiredAuth".freeze
        # 詳細コマンドタイプ:与信売上
        MERPAY_DETAIL_COMMAND_AUTH_CAPTURE           = "AuthCapture".freeze
        # 詳細コマンドタイプ:返金(与信売上)
        MERPAY_DETAIL_COMMAND_REFUND_AUTH_CAPTURE    = "RefundAuthCapture".freeze
        # 詳細コマンドタイプ:取消(与信売上)
        MERPAY_DETAIL_COMMAND_VOID_AUTH_CAPTURE      = "VoidAuthCapture".freeze
        # 詳細コマンドタイプ:承諾
        MERPAY_DETAIL_COMMAND_CONSENT                = "Consent".freeze
        # 詳細コマンドタイプ:解約
        MERPAY_DETAIL_COMMAND_CONSENT_TERMINATE      = "ConsentTerminate".freeze

      ## エポスかんたん決済 ##

        # エポスかんたん決済：与信同時売上フラグ（与信同時売上）
        EPOS_AUTH_WITH_CAPTURE     = TRUE
        # エポスかんたん決済：与信同時売上フラグ（与信のみ）
        EPOS_AUTH_ONLY             = FALSE

        ## for Search ##

        # エポスかんたん決済：詳細取引決済状態 init
        EPOS_DETAIL_ORDER_TYPE_INIT              = "Init".freeze
        # エポスかんたん決済：詳細取引決済状態 与信準備
        EPOS_DETAIL_ORDER_TYPE_READY_AUTH        = "ReadyAuth".freeze
        # エポスかんたん決済：詳細取引決済状態 与信
        EPOS_DETAIL_ORDER_TYPE_AUTH              = "Auth".freeze
        # エポスかんたん決済：詳細取引決済状態 与信売上
        EPOS_DETAIL_ORDER_TYPE_AUTH_CAPTURE      = "AuthCapture".freeze
        # エポスかんたん決済：詳細取引決済状態 売上
        EPOS_DETAIL_ORDER_TYPE_POST_AUTH         = "PostAuth".freeze
        # エポスかんたん決済：詳細取引決済状態 取消(与信)
        EPOS_DETAIL_ORDER_TYPE_VOID_AUTH         = "VoidAuth".freeze
        # エポスかんたん決済：詳細取引決済状態 取消(売上)
        EPOS_DETAIL_ORDER_TYPE_VOID_POST_AUTH    = "VoidPostAuth".freeze
        # エポスかんたん決済：詳細取引決済状態 取消(与信売上)
        EPOS_DETAIL_ORDER_TYPE_VOID_AUTH_CAPTURE = "VoidAuthCapture".freeze

        # 詳細コマンドタイプ:与信準備
        EPOS_DETAIL_COMMAND_READY_AUTH        = "ReadyAuth".freeze
        # 詳細コマンドタイプ:仮与信
        EPOS_DETAIL_COMMAND_PRE_AUTH          = "PreAuth".freeze
        # 詳細コマンドタイプ:与信
        EPOS_DETAIL_COMMAND_AUTH              = "Auth".freeze
        # 詳細コマンドタイプ:与信(与信売上)
        EPOS_DETAIL_COMMAND_EMU_AUTH          = "EmuAuth".freeze
        # 詳細コマンドタイプ:与信売上
        EPOS_DETAIL_COMMAND_AUTH_CAPTURE      = "AuthCapture".freeze
        # 詳細コマンドタイプ:売上
        EPOS_DETAIL_COMMAND_POST_AUTH         = "PostAuth".freeze
        # 詳細コマンドタイプ:取消(与信)
        EPOS_DETAIL_COMMAND_VOID_AUTH         = "VoidAuth".freeze
        # 詳細コマンドタイプ:取消(売上)
        EPOS_DETAIL_COMMAND_VOID_POST_AUTH    = "VoidPostAuth".freeze
        # 詳細コマンドタイプ:取消(与信売上)
        EPOS_DETAIL_COMMAND_VOID_AUTH_CAPTURE = "VoidAuthCapture".freeze

      end
    end
  end
end

