# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # 連絡先情報のクラス
      #
      # @author:: VeriTrans Inc.
      #
      class AccountInfo

        #
        # ===連絡先IDを取得する
        # @return:: 連絡先ID
        #
        def account_info_id
          @account_info_id = nil unless instance_variable_defined?(:@account_info_id)
          @account_info_id
        end

        #
        # ===連絡先IDを設定する
        # @param:: account_info_id 連絡先ID
        #
        def account_info_id=(account_info_id)
          @account_info_id = account_info_id
        end

        #
        # ===連絡先区分を取得する
        # @return:: 連絡先区分
        #
        def account_type
          @account_type = nil unless instance_variable_defined?(:@account_type)
          @account_type
        end

        #
        # ===連絡先区分を設定する
        # @param:: account_type 連絡先区分
        #
        def account_type=(account_type)
          @account_type = account_type
        end

        #
        # ===標準連絡先フラグを取得する
        # @return:: 標準連絡先フラグ
        #
        def default_account
          @default_account = nil unless instance_variable_defined?(:@default_account)
          @default_account
        end

        #
        # ===標準連絡先フラグを設定する
        # @param:: default_account 標準連絡先フラグ
        #
        def default_account=(default_account)
          @default_account = default_account
        end

        #
        # ===宛名を取得する
        # @return:: 宛名
        #
        def recipient
          @recipient = nil unless instance_variable_defined?(:@recipient)
          @recipient
        end

        #
        # ===宛名を設定する
        # @param:: recipient 宛名
        #
        def recipient=(recipient)
          @recipient = recipient
        end

        #
        # ===郵便番号を取得する
        # @return:: 郵便番号
        #
        def zip
          @zip = nil unless instance_variable_defined?(:@zip)
          @zip
        end

        #
        # ===郵便番号を設定する
        # @param:: zip 郵便番号
        #
        def zip=(zip)
          @zip = zip
        end

        #
        # ===住所を取得する
        # @return:: 住所
        #
        def address
          @address = nil unless instance_variable_defined?(:@address)
          @address
        end

        #
        # ===住所を設定する
        # @param:: address 住所
        #
        def address=(address)
          @address = address
        end

        #
        # ===電話番号を取得する
        # @return:: 電話番号
        #
        def tel
          @tel = nil unless instance_variable_defined?(:@tel)
          @tel
        end

        #
        # ===電話番号を設定する
        # @param:: tel 電話番号
        #
        def tel=(tel)
          @tel = tel
        end

      end
    end
  end
end
