# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =会員情報のクラス
      #
      # @author:: VeriTrans Inc.
      #
      class AccountParam

        #
        # ===会員IDを取得する
        # @return:: 会員ID
        #
        def account_id
          @account_id = nil unless instance_variable_defined?(:@account_id)
          @account_id
        end

        #
        # ===会員IDを設定する
        # @param:: account_id 会員ID
        #
        def account_id=(account_id)
          @account_id = account_id
        end

        #
        # ===ワンタイムトークンを取得する
        # @return:: ワンタイムトークン
        #
        def onetime_token
          @onetime_token = nil unless instance_variable_defined?(:@onetime_token)
          @onetime_token
        end

        #
        # ===ワンタイムトークンを設定する
        # @param:: onetime_token ワンタイムトークン
        #
        def onetime_token=(onetime_token)
          @onetime_token = onetime_token
        end

        #
        # ===ワンタイムトークン種別を取得する
        # @return:: ワンタイムトークン種別
        #
        def onetime_token_type
          @onetime_token_type = nil unless instance_variable_defined?(:@onetime_token_type)
          @onetime_token_type
        end

        #
        # ===ワンタイムトークン種別を設定する
        # @param:: onetime_token_type ワンタイムトークン種別
        #
        def onetime_token_type=(onetime_token_type)
          @onetime_token_type = onetime_token_type
        end

        #
        # ===元会員IDを取得する
        # @return:: 元会員ID
        #
        def original_account_id
          @original_account_id = nil unless instance_variable_defined?(:@original_account_id)
          @original_account_id
        end

        #
        # ===元会員IDを設定する
        # @param:: original_account_id 元会員ID
        #
        def original_account_id=(original_account_id)
          @original_account_id = original_account_id
        end

        #
        # ===PayNowIDを取得する
        # @return:: PayNowID
        #
        def pay_now_id
          @pay_now_id = nil unless instance_variable_defined?(:@pay_now_id)
          @pay_now_id
        end

        #
        # ===PayNowIDを設定する
        # @param:: pay_now_id PayNowID
        #
        def pay_now_id=(pay_now_id)
          @pay_now_id = pay_now_id
        end

        #
        # ===リクエスト項目を取得する
        # @return:: リクエスト項目
        #
        def trans_data
          @trans_data = nil unless instance_variable_defined?(:@trans_data)
          @trans_data
        end

        #
        # ===リクエスト項目を設定する
        # @param:: trans_data リクエスト項目
        #
        def trans_data=(trans_data)
          @trans_data = trans_data
        end

        #
        # ===会員基本情報を取得する
        # @return:: 会員基本情報
        #
        def account_basic_param
          @account_basic_param = nil unless instance_variable_defined?(:@account_basic_param)
          @account_basic_param
        end

        #
        # ===会員基本情報を設定する
        # @param:: account_basic_param 会員基本情報
        #
        def account_basic_param=(account_basic_param)
          @account_basic_param = account_basic_param
        end

        #
        # ===カード情報を取得する
        # @return:: カード情報
        #
        def card_param
          @card_param = nil unless instance_variable_defined?(:@card_param)
          @card_param
        end

        #
        # ===カード情報を設定する
        # @param:: card_param カード情報
        #
        def card_param=(card_param)
          @card_param = card_param
        end

        #
        # ===会員課金情報を取得する
        # @return:: 会員課金情報
        #
        def recurring_charge_param
          @recurring_charge_param = nil unless instance_variable_defined?(:@recurring_charge_param)
          @recurring_charge_param
        end

        #
        # ===会員課金情報を設定する
        # @param:: recurring_charge_param 会員課金情報
        #
        def recurring_charge_param=(recurring_charge_param)
          @recurring_charge_param = recurring_charge_param
        end

        #
        # ===銀行口座情報を取得する
        # @return:: 銀行口座情報
        #
        def bank_account_param
          @bank_account_param = nil unless instance_variable_defined?(:@bank_account_param)
          @bank_account_param
        end

        #
        # ===銀行口座情報を設定する
        # @param:: bank_account_param 銀行口座情報
        #
        def bank_account_param=(bank_account_param)
          @bank_account_param = bank_account_param
        end

      end
    end
  end
end
