# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/abstract_payment_request_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：Alipay、コマンド名：QRコード生成の要求Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class AlipayCreateIdentityCodeRequestDto < Veritrans::Tercerog::Mdk::AbstractPaymentRequestDto

        #
        # ===コンストラクタ
        #
        def initialize
          @service_type = SERVICE_TYPE
          @service_command = SERVICE_COMMAND
        end


        #
        # 決済サービスタイプ
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_TYPE = "alipay"

        #
        # 決済サービスコマンド
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_COMMAND = "CreateIdentityCode"


        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスコマンドを取得する
        # @return:: 決済サービスコマンド
        #
        def service_command
          @service_command = nil unless instance_variable_defined?(:@service_command)
          @service_command
        end

        #
        # ===店舗IDを取得する
        # 店舗IDを指定します。
        # - 半角英数字、“-”（ハイフン）、“_”（アンダースコア）も使用可能です。
        # @return:: 店舗ID
        #
        def store_id
          @store_id = nil unless instance_variable_defined?(:@store_id)
          @store_id
        end

        #
        # ===店舗IDを設定する
        # @param:: store_id 店舗ID
        #
        def store_id=(store_id)
          @store_id = store_id
        end

        #
        # ===店舗名を取得する
        # 店舗名を指定します。
        # - 最大文字数：64byte
        # @return:: 店舗名
        #
        def store_name
          @store_name = nil unless instance_variable_defined?(:@store_name)
          @store_name
        end

        #
        # ===店舗名を設定する
        # @param:: store_name 店舗名
        #
        def store_name=(store_name)
          @store_name = store_name
        end

        #
        # ===タクシーオペレーションIDを取得する
        # タクシーオペレーションIDを指定します。
        # ※タクシー事業者の場合は指定必須。
        # ※不明な場合はご連絡ください
        # - 最大文字数：64byte
        # @return:: タクシーオペレーションID
        #
        def taxi_operation_id
          @taxi_operation_id = nil unless instance_variable_defined?(:@taxi_operation_id)
          @taxi_operation_id
        end

        #
        # ===タクシーオペレーションIDを設定する
        # @param:: taxi_operation_id タクシーオペレーションID
        #
        def taxi_operation_id=(taxi_operation_id)
          @taxi_operation_id = taxi_operation_id
        end

        #
        # ===タクシーナンバーを取得する
        # タクシーナンバーを指定します。
        # ※タクシー事業者の場合は指定必須。
        # ※不明な場合はご連絡ください
        # - 最大文字数：64byte
        # @return:: タクシーナンバー
        #
        def taxi_number
          @taxi_number = nil unless instance_variable_defined?(:@taxi_number)
          @taxi_number
        end

        #
        # ===タクシーナンバーを設定する
        # @param:: taxi_number タクシーナンバー
        #
        def taxi_number=(taxi_number)
          @taxi_number = taxi_number
        end

        #
        # ===タクシードライバー名を取得する
        # タクシードライバー名を指定します。
        # ※タクシー事業者の場合は指定必須。
        # ※不明な場合はご連絡ください
        # - 最大文字数：64byte
        # @return:: タクシードライバー名
        #
        def taxi_driver_name
          @taxi_driver_name = nil unless instance_variable_defined?(:@taxi_driver_name)
          @taxi_driver_name
        end

        #
        # ===タクシードライバー名を設定する
        # @param:: taxi_driver_name タクシードライバー名
        #
        def taxi_driver_name=(taxi_driver_name)
          @taxi_driver_name = taxi_driver_name
        end

        #
        # ===タクシードライバーモバイルを取得する
        # タクシードライバーモバイル（携帯）を指定します。
        # ※タクシー事業者の場合は指定必須。
        # ※不明な場合はご連絡ください
        # - 最大文字数：32byte
        # @return:: タクシードライバーモバイル
        #
        def taxi_driver_mobile
          @taxi_driver_mobile = nil unless instance_variable_defined?(:@taxi_driver_mobile)
          @taxi_driver_mobile
        end

        #
        # ===タクシードライバーモバイルを設定する
        # @param:: taxi_driver_mobile タクシードライバーモバイル
        #
        def taxi_driver_mobile=(taxi_driver_mobile)
          @taxi_driver_mobile = taxi_driver_mobile
        end


      end
    end
  end
end
