# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：alipayx、コマンド名：決済申込の応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class AlipayxAuthorizeResponseDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===決済サービスタイプを取得する
        # 決済サービスの区分を返却します。
        # - "alipayx"： Alipay+
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスタイプを設定する
        # @param:: service_type 決済サービスタイプ
        #
        def service_type=(service_type)
          @service_type = service_type
        end

        #
        # ===処理結果コードを取得する
        # 決済請求処理後、応答電文に含まれる値。
        # 以下の処理結果のいずれかが格納される
        # - success：正常終了
        # - failure：異常終了
        # @return:: 処理結果コード
        #
        def mstatus
          @mstatus = nil unless instance_variable_defined?(:@mstatus)
          @mstatus
        end

        #
        # ===処理結果コードを設定する
        # @param:: mstatus 処理結果コード
        #
        def mstatus=(mstatus)
          @mstatus = mstatus
        end

        #
        # ===詳細結果コードを取得する
        # 処理結果を詳細に表すコードを返却します。
        # 
        # 4桁ずつ4つのブロックで構成され、各ブロックでサービス毎の処理結果を表します。
        # @return:: 詳細結果コード
        #
        def v_result_code
          @v_result_code = nil unless instance_variable_defined?(:@v_result_code)
          @v_result_code
        end

        #
        # ===詳細結果コードを設定する
        # @param:: v_result_code 詳細結果コード
        #
        def v_result_code=(v_result_code)
          @v_result_code = v_result_code
        end

        #
        # ===エラーメッセージを取得する
        # 処理結果に対するメッセージを返却します。
        # @return:: エラーメッセージ
        #
        def merr_msg
          @merr_msg = nil unless instance_variable_defined?(:@merr_msg)
          @merr_msg
        end

        #
        # ===エラーメッセージを設定する
        # @param:: merr_msg エラーメッセージ
        #
        def merr_msg=(merr_msg)
          @merr_msg = merr_msg
        end

        #
        # ===電文IDを取得する
        # @return:: 電文ID
        #
        def march_txn
          @march_txn = nil unless instance_variable_defined?(:@march_txn)
          @march_txn
        end

        #
        # ===電文IDを設定する
        # @param:: march_txn 電文ID
        #
        def march_txn=(march_txn)
          @march_txn = march_txn
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===取引毎に付くIDを取得する
        # @return:: 取引毎に付くID
        #
        def cust_txn
          @cust_txn = nil unless instance_variable_defined?(:@cust_txn)
          @cust_txn
        end

        #
        # ===取引毎に付くIDを設定する
        # @param:: cust_txn 取引毎に付くID
        #
        def cust_txn=(cust_txn)
          @cust_txn = cust_txn
        end

        #
        # ===MDKバージョンを取得する
        # 電文のバージョン番号を返却します。
        # @return:: MDKバージョン
        #
        def txn_version
          @txn_version = nil unless instance_variable_defined?(:@txn_version)
          @txn_version
        end

        #
        # ===MDKバージョンを設定する
        # @param:: txn_version MDKバージョン
        #
        def txn_version=(txn_version)
          @txn_version = txn_version
        end

        #
        # ===決済日時(日本時間)を取得する
        # 決済センターで決済が確定した日時(日本時間)を返します。
        # serviceOptionType="barcode"の場合に返戻。
        # @return:: 決済日時(日本時間)
        #
        def pay_time_jp
          @pay_time_jp = nil unless instance_variable_defined?(:@pay_time_jp)
          @pay_time_jp
        end

        #
        # ===決済日時(日本時間)を設定する
        # @param:: pay_time_jp 決済日時(日本時間)
        #
        def pay_time_jp=(pay_time_jp)
          @pay_time_jp = pay_time_jp
        end

        #
        # ===決済センターの管理IDを取得する
        # 決済センターが発番するIDを返却します。
        # @return:: 決済センターの管理ID
        #
        def center_id
          @center_id = nil unless instance_variable_defined?(:@center_id)
          @center_id
        end

        #
        # ===決済センターの管理IDを設定する
        # @param:: center_id 決済センターの管理ID
        #
        def center_id=(center_id)
          @center_id = center_id
        end

        #
        # ===決済ゲートウェイ管理IDを取得する
        # 決済ゲートウェイが発番するIDを返却します。
        # ※記号について、“-”（ハイフン）、“_”（アンダースコア）は返戻される可能性があります。
        # @return:: 決済ゲートウェイ管理ID
        #
        def gateway_trans_id
          @gateway_trans_id = nil unless instance_variable_defined?(:@gateway_trans_id)
          @gateway_trans_id
        end

        #
        # ===決済ゲートウェイ管理IDを設定する
        # @param:: gateway_trans_id 決済ゲートウェイ管理ID
        #
        def gateway_trans_id=(gateway_trans_id)
          @gateway_trans_id = gateway_trans_id
        end

        #
        # ===ペイメントソースを取得する
        # 支払いを行った決済手段を表す情報を返します。
        # serviceOptionType="barcode"の場合に返戻。
        # @return:: ペイメントソース
        #
        def payment_source
          @payment_source = nil unless instance_variable_defined?(:@payment_source)
          @payment_source
        end

        #
        # ===ペイメントソースを設定する
        # @param:: payment_source ペイメントソース
        #
        def payment_source=(payment_source)
          @payment_source = payment_source
        end

        #
        # ===識別コードを取得する
        # 識別コードを返します。
        # serviceOptionType="scancode"、かつ、scancodeType="0"の場合に返戻。
        # @return:: 識別コード
        #
        def identity_code
          @identity_code = nil unless instance_variable_defined?(:@identity_code)
          @identity_code
        end

        #
        # ===識別コードを設定する
        # @param:: identity_code 識別コード
        #
        def identity_code=(identity_code)
          @identity_code = identity_code
        end

        #
        # ===QRコード画像URLを取得する
        # QRコードURL(通常サイズ)を返します。
        # serviceOptionType="scancode"、かつ、scancodeType="0"の場合に返戻。
        # @return:: QRコード画像URL
        #
        def qr_code_img_url
          @qr_code_img_url = nil unless instance_variable_defined?(:@qr_code_img_url)
          @qr_code_img_url
        end

        #
        # ===QRコード画像URLを設定する
        # @param:: qr_code_img_url QRコード画像URL
        #
        def qr_code_img_url=(qr_code_img_url)
          @qr_code_img_url = qr_code_img_url
        end

        #
        # ===QRコード画像URL(小)を取得する
        # QRコードURL(小さなサイズ)を返します。
        # serviceOptionType="scancode"、かつ、scancodeType="0"の場合に返戻。
        # @return:: QRコード画像URL(小)
        #
        def qr_code_small_img_url
          @qr_code_small_img_url = nil unless instance_variable_defined?(:@qr_code_small_img_url)
          @qr_code_small_img_url
        end

        #
        # ===QRコード画像URL(小)を設定する
        # @param:: qr_code_small_img_url QRコード画像URL(小)
        #
        def qr_code_small_img_url=(qr_code_small_img_url)
          @qr_code_small_img_url = qr_code_small_img_url
        end

        #
        # ===QRコード画像URL(大)を取得する
        # QRコードURL(大きなサイズ)を返します。
        # serviceOptionType="scancode"、かつ、scancodeType="0"の場合に返戻。
        # @return:: QRコード画像URL(大)
        #
        def qr_code_large_img_url
          @qr_code_large_img_url = nil unless instance_variable_defined?(:@qr_code_large_img_url)
          @qr_code_large_img_url
        end

        #
        # ===QRコード画像URL(大)を設定する
        # @param:: qr_code_large_img_url QRコード画像URL(大)
        #
        def qr_code_large_img_url=(qr_code_large_img_url)
          @qr_code_large_img_url = qr_code_large_img_url
        end

        #
        # ===アプリ内支払いURLを取得する
        # 支払い完了するためのアプリ内URLを返します。
        # serviceOptionType="scancode"の場合に返戻。
        # @return:: アプリ内支払いURL
        #
        def app_pay_url
          @app_pay_url = nil unless instance_variable_defined?(:@app_pay_url)
          @app_pay_url
        end

        #
        # ===アプリ内支払いURLを設定する
        # @param:: app_pay_url アプリ内支払いURL
        #
        def app_pay_url=(app_pay_url)
          @app_pay_url = app_pay_url
        end

        #
        # ===決済金額(外貨)を取得する
        # 決済金額(外貨)を返却します。
        # serviceOptionType="barcode"の場合に返戻。
        # @return:: 決済金額(外貨)
        #
        def foreign_amount
          @foreign_amount = nil unless instance_variable_defined?(:@foreign_amount)
          @foreign_amount
        end

        #
        # ===決済金額(外貨)を設定する
        # @param:: foreign_amount 決済金額(外貨)
        #
        def foreign_amount=(foreign_amount)
          @foreign_amount = foreign_amount
        end

        #
        # ===通貨コード(外貨)を取得する
        # 通貨コード(外貨)を返却します。
        # serviceOptionType="barcode"の場合に返戻。
        # @return:: 通貨コード(外貨)
        #
        def foreign_amount_currency
          @foreign_amount_currency = nil unless instance_variable_defined?(:@foreign_amount_currency)
          @foreign_amount_currency
        end

        #
        # ===通貨コード(外貨)を設定する
        # @param:: foreign_amount_currency 通貨コード(外貨)
        #
        def foreign_amount_currency=(foreign_amount_currency)
          @foreign_amount_currency = foreign_amount_currency
        end


        #
        # ===PayNowIDオブジェクトを取得する
        # @return:: PayNowIDオブジェクト
        #
        def pay_now_id_response
          @pay_now_id_response = nil unless instance_variable_defined?(:@pay_now_id_response)
          @pay_now_id_response
        end

        #
        # ===PayNowIDオブジェクトを設定する
        # @param:: pay_now_id_response PayNowIDオブジェクト
        #
        def pay_now_id_response=(pay_now_id_response)
          @pay_now_id_response = pay_now_id_response
        end

      end
    end
  end
end
