# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/abstract_payment_request_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：Amazonpay、コマンド名：キャンセルの要求Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class AmazonpayCancelRequestDto < Veritrans::Tercerog::Mdk::AbstractPaymentRequestDto

        #
        # ===コンストラクタ
        #
        def initialize
          @service_type = SERVICE_TYPE
          @service_command = SERVICE_COMMAND
        end


        #
        # 決済サービスタイプ
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_TYPE = "amazonpay"

        #
        # 決済サービスコマンド
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_COMMAND = "Cancel"


        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスコマンドを取得する
        # @return:: 決済サービスコマンド
        #
        def service_command
          @service_command = nil unless instance_variable_defined?(:@service_command)
          @service_command
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # キャンセル対象の取引IDを指定する。
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===キャンセル理由を取得する
        # @return:: キャンセル理由
        #
        def cancellation_reason
          @cancellation_reason = nil unless instance_variable_defined?(:@cancellation_reason)
          @cancellation_reason
        end

        #
        # ===キャンセル理由を設定する
        # キャンセル理由
        # - 最大:255文字
        # @param:: cancellation_reason キャンセル理由
        #
        def cancellation_reason=(cancellation_reason)
          @cancellation_reason = cancellation_reason
        end


      end
    end
  end
end
