# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：Amazonpay、コマンド名：住所情報取得の応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class AmazonpayGetAddressResponseDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===決済サービスタイプを取得する
        # 決済サービスの区分を返却します。
        # - "amazonpay"： AmazonPay
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスタイプを設定する
        # @param:: service_type 決済サービスタイプ
        #
        def service_type=(service_type)
          @service_type = service_type
        end

        #
        # ===処理結果コードを取得する
        # 住所情報取得処理後、応答電文に含まれる値。
        # 以下の処理結果のいずれかが格納される
        # - success：正常終了
        # - failure：異常終了
        # @return:: 処理結果コード
        #
        def mstatus
          @mstatus = nil unless instance_variable_defined?(:@mstatus)
          @mstatus
        end

        #
        # ===処理結果コードを設定する
        # @param:: mstatus 処理結果コード
        #
        def mstatus=(mstatus)
          @mstatus = mstatus
        end

        #
        # ===詳細結果コードを取得する
        # 処理結果を詳細に表すコードを返却します。
        # 
        # 4桁ずつ4つのブロックで構成され、各ブロックでサービス毎の処理結果を表します。
        # @return:: 詳細結果コード
        #
        def v_result_code
          @v_result_code = nil unless instance_variable_defined?(:@v_result_code)
          @v_result_code
        end

        #
        # ===詳細結果コードを設定する
        # @param:: v_result_code 詳細結果コード
        #
        def v_result_code=(v_result_code)
          @v_result_code = v_result_code
        end

        #
        # ===エラーメッセージを取得する
        # 処理結果に対するメッセージを返却します。
        # @return:: エラーメッセージ
        #
        def merr_msg
          @merr_msg = nil unless instance_variable_defined?(:@merr_msg)
          @merr_msg
        end

        #
        # ===エラーメッセージを設定する
        # @param:: merr_msg エラーメッセージ
        #
        def merr_msg=(merr_msg)
          @merr_msg = merr_msg
        end

        #
        # ===電文IDを取得する
        # @return:: 電文ID
        #
        def march_txn
          @march_txn = nil unless instance_variable_defined?(:@march_txn)
          @march_txn
        end

        #
        # ===電文IDを設定する
        # @param:: march_txn 電文ID
        #
        def march_txn=(march_txn)
          @march_txn = march_txn
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===取引毎に付くIDを取得する
        # @return:: 取引毎に付くID
        #
        def cust_txn
          @cust_txn = nil unless instance_variable_defined?(:@cust_txn)
          @cust_txn
        end

        #
        # ===取引毎に付くIDを設定する
        # @param:: cust_txn 取引毎に付くID
        #
        def cust_txn=(cust_txn)
          @cust_txn = cust_txn
        end

        #
        # ===MDKバージョンを取得する
        # 電文のバージョン番号を返却します。
        # @return:: MDKバージョン
        #
        def txn_version
          @txn_version = nil unless instance_variable_defined?(:@txn_version)
          @txn_version
        end

        #
        # ===MDKバージョンを設定する
        # @param:: txn_version MDKバージョン
        #
        def txn_version=(txn_version)
          @txn_version = txn_version
        end

        #
        # ===決済センター応答日時を取得する
        # 決済センターが住所情報取得要求に応答した日時
        # ※YYYYMMDDhhmmssの形式
        # @return:: 決済センター応答日時
        #
        def center_response_datetime
          @center_response_datetime = nil unless instance_variable_defined?(:@center_response_datetime)
          @center_response_datetime
        end

        #
        # ===決済センター応答日時を設定する
        # @param:: center_response_datetime 決済センター応答日時
        #
        def center_response_datetime=(center_response_datetime)
          @center_response_datetime = center_response_datetime
        end

        #
        # ===配送先：氏名を取得する
        # 購入者がAmazonに登録している値を返します。
        # - 最大:50文字
        # @return:: 配送先：氏名
        #
        def shipping_name
          @shipping_name = nil unless instance_variable_defined?(:@shipping_name)
          @shipping_name
        end

        #
        # ===配送先：氏名を設定する
        # @param:: shipping_name 配送先：氏名
        #
        def shipping_name=(shipping_name)
          @shipping_name = shipping_name
        end

        #
        # ===配送先：電話番号を取得する
        # 購入者がAmazonに登録している値を返します。
        # - 最大:20文字
        # @return:: 配送先：電話番号
        #
        def shipping_phone
          @shipping_phone = nil unless instance_variable_defined?(:@shipping_phone)
          @shipping_phone
        end

        #
        # ===配送先：電話番号を設定する
        # @param:: shipping_phone 配送先：電話番号
        #
        def shipping_phone=(shipping_phone)
          @shipping_phone = shipping_phone
        end

        #
        # ===配送先：住所１を取得する
        # 購入者がAmazonに登録している値を返します。
        # 住所１～住所３でどのように住所が登録されているかは、購入者の入力次第です。
        # - 最大:180文字
        # @return:: 配送先：住所１
        #
        def shipping_address1
          @shipping_address1 = nil unless instance_variable_defined?(:@shipping_address1)
          @shipping_address1
        end

        #
        # ===配送先：住所１を設定する
        # @param:: shipping_address1 配送先：住所１
        #
        def shipping_address1=(shipping_address1)
          @shipping_address1 = shipping_address1
        end

        #
        # ===配送先：住所２を取得する
        # 購入者がAmazonに登録している値を返します。
        # - 最大:60文字
        # @return:: 配送先：住所２
        #
        def shipping_address2
          @shipping_address2 = nil unless instance_variable_defined?(:@shipping_address2)
          @shipping_address2
        end

        #
        # ===配送先：住所２を設定する
        # @param:: shipping_address2 配送先：住所２
        #
        def shipping_address2=(shipping_address2)
          @shipping_address2 = shipping_address2
        end

        #
        # ===配送先：住所３を取得する
        # 購入者がAmazonに登録している値を返します。
        # - 最大:60文字
        # @return:: 配送先：住所３
        #
        def shipping_address3
          @shipping_address3 = nil unless instance_variable_defined?(:@shipping_address3)
          @shipping_address3
        end

        #
        # ===配送先：住所３を設定する
        # @param:: shipping_address3 配送先：住所３
        #
        def shipping_address3=(shipping_address3)
          @shipping_address3 = shipping_address3
        end

        #
        # ===配送先：都道府県を取得する
        # 購入者がAmazonに登録している値を返します。
        # 住所１～住所３に都道府県を含めて登録されているかは、購入者の入力次第です。
        # - 最大:50文字
        # @return:: 配送先：都道府県
        #
        def shipping_prefecture
          @shipping_prefecture = nil unless instance_variable_defined?(:@shipping_prefecture)
          @shipping_prefecture
        end

        #
        # ===配送先：都道府県を設定する
        # @param:: shipping_prefecture 配送先：都道府県
        #
        def shipping_prefecture=(shipping_prefecture)
          @shipping_prefecture = shipping_prefecture
        end

        #
        # ===配送先：郵便番号を取得する
        # 購入者がAmazonに登録している値を返します。
        # 半角、全角、ハイフンありなど、購入者の入力次第です。
        # - 最大:20文字
        # @return:: 配送先：郵便番号
        #
        def shipping_postal_code
          @shipping_postal_code = nil unless instance_variable_defined?(:@shipping_postal_code)
          @shipping_postal_code
        end

        #
        # ===配送先：郵便番号を設定する
        # @param:: shipping_postal_code 配送先：郵便番号
        #
        def shipping_postal_code=(shipping_postal_code)
          @shipping_postal_code = shipping_postal_code
        end

        #
        # ===購入者IDを取得する
        # 決済センターが発番した購入者AmazonアカウントのユニークIDを返します。
        # 文字数は可変となります。
        # @return:: 購入者ID
        #
        def buyer_id
          @buyer_id = nil unless instance_variable_defined?(:@buyer_id)
          @buyer_id
        end

        #
        # ===購入者IDを設定する
        # @param:: buyer_id 購入者ID
        #
        def buyer_id=(buyer_id)
          @buyer_id = buyer_id
        end

        #
        # ===購入者メールアドレスを取得する
        # 購入者のメールアドレスを返します。
        # @return:: 購入者メールアドレス
        #
        def buyer_email
          @buyer_email = nil unless instance_variable_defined?(:@buyer_email)
          @buyer_email
        end

        #
        # ===購入者メールアドレスを設定する
        # @param:: buyer_email 購入者メールアドレス
        #
        def buyer_email=(buyer_email)
          @buyer_email = buyer_email
        end

        #
        # ===購入者名を取得する
        # 購入者の名前を返します。
        # ※追加情報応答フラグが"1"の場合のみ連携されます。
        # @return:: 購入者名
        #
        def buyer_name
          @buyer_name = nil unless instance_variable_defined?(:@buyer_name)
          @buyer_name
        end

        #
        # ===購入者名を設定する
        # @param:: buyer_name 購入者名
        #
        def buyer_name=(buyer_name)
          @buyer_name = buyer_name
        end

        #
        # ===購入者電話番号を取得する
        # 購入者の電話番号を返します。
        # ※追加情報応答フラグが"1"の場合のみ連携されます。
        # @return:: 購入者電話番号
        #
        def buyer_phone_number
          @buyer_phone_number = nil unless instance_variable_defined?(:@buyer_phone_number)
          @buyer_phone_number
        end

        #
        # ===購入者電話番号を設定する
        # @param:: buyer_phone_number 購入者電話番号
        #
        def buyer_phone_number=(buyer_phone_number)
          @buyer_phone_number = buyer_phone_number
        end

        #
        # ===購入者支払方法を取得する
        # 購入者が指定した支払方法を返します。
        # ※追加情報応答フラグが"1"の場合のみ連携されます。
        # @return:: 購入者支払方法
        #
        def payment_preferences
          @payment_preferences = nil unless instance_variable_defined?(:@payment_preferences)
          @payment_preferences
        end

        #
        # ===購入者支払方法を設定する
        # @param:: payment_preferences 購入者支払方法
        #
        def payment_preferences=(payment_preferences)
          @payment_preferences = payment_preferences
        end

        #
        # ===請求先：住所１を取得する
        # 請求先でAmazonに登録している値を返します。
        # 住所１～住所３でどのように住所が登録されているかは、請求先の入力次第です。
        # - 最大:180文字
        # ※追加情報応答フラグが"1"の場合のみ連携されます。
        # @return:: 請求先：住所１
        #
        def billing_address1
          @billing_address1 = nil unless instance_variable_defined?(:@billing_address1)
          @billing_address1
        end

        #
        # ===請求先：住所１を設定する
        # @param:: billing_address1 請求先：住所１
        #
        def billing_address1=(billing_address1)
          @billing_address1 = billing_address1
        end

        #
        # ===請求先：住所２を取得する
        # 請求先でAmazonに登録している値を返します。
        # - 最大:60文字
        # ※追加情報応答フラグが"1"の場合のみ連携されます。
        # @return:: 請求先：住所２
        #
        def billing_address2
          @billing_address2 = nil unless instance_variable_defined?(:@billing_address2)
          @billing_address2
        end

        #
        # ===請求先：住所２を設定する
        # @param:: billing_address2 請求先：住所２
        #
        def billing_address2=(billing_address2)
          @billing_address2 = billing_address2
        end

        #
        # ===請求先：住所３を取得する
        # 請求先でAmazonに登録している値を返します。
        # - 最大:60文字
        # ※追加情報応答フラグが"1"の場合のみ連携されます。
        # @return:: 請求先：住所３
        #
        def billing_address3
          @billing_address3 = nil unless instance_variable_defined?(:@billing_address3)
          @billing_address3
        end

        #
        # ===請求先：住所３を設定する
        # @param:: billing_address3 請求先：住所３
        #
        def billing_address3=(billing_address3)
          @billing_address3 = billing_address3
        end

        #
        # ===請求先：都道府県を取得する
        # 請求先でAmazonに登録している値を返します。
        # 住所１～住所３に都道府県を含めて登録されているかは、請求先の入力次第です。
        # - 最大:50文字
        # ※追加情報応答フラグが"1"の場合のみ連携されます。
        # @return:: 請求先：都道府県
        #
        def billing_prefecture
          @billing_prefecture = nil unless instance_variable_defined?(:@billing_prefecture)
          @billing_prefecture
        end

        #
        # ===請求先：都道府県を設定する
        # @param:: billing_prefecture 請求先：都道府県
        #
        def billing_prefecture=(billing_prefecture)
          @billing_prefecture = billing_prefecture
        end

        #
        # ===請求先：郵便番号を取得する
        # 請求先でAmazonに登録している値を返します。
        # 半角、全角、ハイフンありなど、購入者の入力次第です。
        # - 最大:20文字
        # ※追加情報応答フラグが"1"の場合のみ連携されます。
        # @return:: 請求先：郵便番号
        #
        def billing_postal_code
          @billing_postal_code = nil unless instance_variable_defined?(:@billing_postal_code)
          @billing_postal_code
        end

        #
        # ===請求先：郵便番号を設定する
        # @param:: billing_postal_code 請求先：郵便番号
        #
        def billing_postal_code=(billing_postal_code)
          @billing_postal_code = billing_postal_code
        end

        #
        # ===決済確定URLを取得する
        # AmazonPayで決済処理を行うためのURLを返します。
        # ※ステータスがPreAuth時にコマンドを利用した場合のみ連携されます。
        # @return:: 決済確定URL
        #
        def pay_redirect_url
          @pay_redirect_url = nil unless instance_variable_defined?(:@pay_redirect_url)
          @pay_redirect_url
        end

        #
        # ===決済確定URLを設定する
        # @param:: pay_redirect_url 決済確定URL
        #
        def pay_redirect_url=(pay_redirect_url)
          @pay_redirect_url = pay_redirect_url
        end

        #
        # ===CheckoutSessionの管理Idを取得する
        # 配送先変更、支払方法変更等に利用するAmazon発行のIDを返します。
        # ※ステータスがPreAuth時にコマンドを利用した場合のみ連携されます。
        # @return:: CheckoutSessionの管理Id
        #
        def checkout_session_id
          @checkout_session_id = nil unless instance_variable_defined?(:@checkout_session_id)
          @checkout_session_id
        end

        #
        # ===CheckoutSessionの管理Idを設定する
        # @param:: checkout_session_id CheckoutSessionの管理Id
        #
        def checkout_session_id=(checkout_session_id)
          @checkout_session_id = checkout_session_id
        end


        #
        # ===PayNowIDオブジェクトを取得する
        # @return:: PayNowIDオブジェクト
        #
        def pay_now_id_response
          @pay_now_id_response = nil unless instance_variable_defined?(:@pay_now_id_response)
          @pay_now_id_response
        end

        #
        # ===PayNowIDオブジェクトを設定する
        # @param:: pay_now_id_response PayNowIDオブジェクト
        #
        def pay_now_id_response=(pay_now_id_response)
          @pay_now_id_response = pay_now_id_response
        end

      end
    end
  end
end
