# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =金融機関マスタ情報のクラス
      #
      # @author:: VeriTrans Inc.
      #
      class BankFinancialInstInfo

        #
        # ===金融機関コードを取得する
        # @return:: 金融機関コード
        #
        def bank_code
          @bank_code = nil unless instance_variable_defined?(:@bank_code)
          @bank_code
        end

        #
        # ===金融機関コードを設定する
        # @param:: bank_code 金融機関コード
        #
        def bank_code=(bank_code)
          @bank_code = bank_code
        end

        #
        # ===デバイスコードを取得する
        # @return:: デバイスコード
        #
        def device_code
          @device_code = nil unless instance_variable_defined?(:@device_code)
          @device_code
        end

        #
        # ===デバイスコードを設定する
        # @param:: device_code デバイスコードコード
        #
        def device_code=(device_code)
          @device_code = device_code
        end

        #
        # ===金融機関名称を取得する
        # @return:: 金融機関名称
        #
        def bank_name
          @bank_name = nil unless instance_variable_defined?(:@bank_name)
          @bank_name
        end

        #
        # ===金融機関名称を設定する
        # @param:: bank_name 金融機関名称
        #
        def bank_name=(bank_name)
          @bank_name = bank_name
        end

        #
        # ===金融機関カナを取得する
        # @return:: 金融機関カナ
        #
        def bank_kana
          @bank_kana = nil unless instance_variable_defined?(:@bank_kana)
          @bank_kana
        end

        #
        # ===金融機関カナを設定する
        # @param:: bank_kana 金融機関カナ
        #
        def bank_kana=(bank_kana)
          @bank_kana = bank_kana
        end

        #
        # ===カナ頭文字を取得する
        # @return:: カナ頭文字
        #
        def bank_index_char1
          @bank_index_char1 = nil unless instance_variable_defined?(:@bank_index_char1)
          @bank_index_char1
        end

        #
        # ===カナ頭文字を設定する
        # @param:: bank_index_char1 カナ頭文字
        #
        def bank_index_char1=(bank_index_char1)
          @bank_index_char1 = bank_index_char1
        end

        #
        # ===カナ行頭文字を取得する
        # @return:: カナ行頭文字
        #
        def bank_index_char2
          @bank_index_char2 = nil unless instance_variable_defined?(:@bank_index_char2)
          @bank_index_char2
        end

        #
        # ===カナ行頭文字を設定する
        # @param:: bank_index_char2 カナ行頭文字
        #
        def bank_index_char2=(bank_index_char2)
          @bank_index_char2 = bank_index_char2
        end

        #
        # ===登録日時(yyyymmddhhmmss)を取得する
        # @return:: 登録日時
        #
        def start_datetime
          @start_datetime = nil unless instance_variable_defined?(:@start_datetime)
          @start_datetime
        end

        #
        # ===登録日時を設定する
        #
        # @param:: start_datetime 登録日時
        #
        def start_datetime=(start_datetime)
          @start_datetime = start_datetime
        end
      end

    end
  end
end
