# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：bankpay、コマンド名：返金の応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class BankpayRefundResponseDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===決済サービスタイプを取得する
        # 決済サービスの区分を返却します。
        # "bankpay"：BankPay
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスタイプを設定する
        # @param:: service_type 決済サービスタイプ
        #
        def service_type=(service_type)
          @service_type = service_type
        end

        #
        # ===処理結果コードを取得する
        # 決済請求処理後、応答電文に含まれる値を返却します。
        # 以下の処理結果のいずれかが格納される
        # - success：正常終了
        # - failure：異常終了
        # @return:: 処理結果コード
        #
        def mstatus
          @mstatus = nil unless instance_variable_defined?(:@mstatus)
          @mstatus
        end

        #
        # ===処理結果コードを設定する
        # @param:: mstatus 処理結果コード
        #
        def mstatus=(mstatus)
          @mstatus = mstatus
        end

        #
        # ===詳細結果コードを取得する
        # 処理結果を詳細に表すコードを返却します。
        # 
        # 4桁ずつ4つのブロックで構成され、各ブロックでサービス毎の処理結果を表します。
        # @return:: 詳細結果コード
        #
        def v_result_code
          @v_result_code = nil unless instance_variable_defined?(:@v_result_code)
          @v_result_code
        end

        #
        # ===詳細結果コードを設定する
        # @param:: v_result_code 詳細結果コード
        #
        def v_result_code=(v_result_code)
          @v_result_code = v_result_code
        end

        #
        # ===エラーメッセージを取得する
        # 処理結果に対するメッセージを返却します。
        # @return:: エラーメッセージ
        #
        def merr_msg
          @merr_msg = nil unless instance_variable_defined?(:@merr_msg)
          @merr_msg
        end

        #
        # ===エラーメッセージを設定する
        # @param:: merr_msg エラーメッセージ
        #
        def merr_msg=(merr_msg)
          @merr_msg = merr_msg
        end

        #
        # ===電文IDを取得する
        # @return:: 電文ID
        #
        def march_txn
          @march_txn = nil unless instance_variable_defined?(:@march_txn)
          @march_txn
        end

        #
        # ===電文IDを設定する
        # @param:: march_txn 電文ID
        #
        def march_txn=(march_txn)
          @march_txn = march_txn
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===取引毎に付くIDを取得する
        # @return:: 取引毎に付くID
        #
        def cust_txn
          @cust_txn = nil unless instance_variable_defined?(:@cust_txn)
          @cust_txn
        end

        #
        # ===取引毎に付くIDを設定する
        # @param:: cust_txn 取引毎に付くID
        #
        def cust_txn=(cust_txn)
          @cust_txn = cust_txn
        end

        #
        # ===MDKバージョンを取得する
        # 電文のバージョン番号を返却します。
        # @return:: MDKバージョン
        #
        def txn_version
          @txn_version = nil unless instance_variable_defined?(:@txn_version)
          @txn_version
        end

        #
        # ===MDKバージョンを設定する
        # @param:: txn_version MDKバージョン
        #
        def txn_version=(txn_version)
          @txn_version = txn_version
        end

        #
        # ===会員IDを取得する
        # 返金処理対象の会員IDを返却します。
        # @return:: 会員ID
        #
        def member_id
          @member_id = nil unless instance_variable_defined?(:@member_id)
          @member_id
        end

        #
        # ===会員IDを設定する
        # @param:: member_id 会員ID
        #
        def member_id=(member_id)
          @member_id = member_id
        end

        #
        # ===口座IDを取得する
        # 返金処理対象の口座IDを返却します。
        # @return:: 口座ID
        #
        def account_id
          @account_id = nil unless instance_variable_defined?(:@account_id)
          @account_id
        end

        #
        # ===口座IDを設定する
        # @param:: account_id 口座ID
        #
        def account_id=(account_id)
          @account_id = account_id
        end

        #
        # ===課金種別を取得する
        # 課金種別を返却します。
        # @return:: 課金種別
        #
        def accounting_type
          @accounting_type = nil unless instance_variable_defined?(:@accounting_type)
          @accounting_type
        end

        #
        # ===課金種別を設定する
        # @param:: accounting_type 課金種別
        #
        def accounting_type=(accounting_type)
          @accounting_type = accounting_type
        end

        #
        # ===端末機識別番号を取得する
        # 端末機識別番号を返却します。
        # @return:: 端末機識別番号
        #
        def terminal_id
          @terminal_id = nil unless instance_variable_defined?(:@terminal_id)
          @terminal_id
        end

        #
        # ===端末機識別番号を設定する
        # @param:: terminal_id 端末機識別番号
        #
        def terminal_id=(terminal_id)
          @terminal_id = terminal_id
        end

        #
        # ===店舗IDを取得する
        # 店舗IDを返却します。
        # @return:: 店舗ID
        #
        def store_id
          @store_id = nil unless instance_variable_defined?(:@store_id)
          @store_id
        end

        #
        # ===店舗IDを設定する
        # @param:: store_id 店舗ID
        #
        def store_id=(store_id)
          @store_id = store_id
        end

        #
        # ===店舗名を取得する
        # 店舗名を返却します。
        # @return:: 店舗名
        #
        def store_name
          @store_name = nil unless instance_variable_defined?(:@store_name)
          @store_name
        end

        #
        # ===店舗名を設定する
        # @param:: store_name 店舗名
        #
        def store_name=(store_name)
          @store_name = store_name
        end

        #
        # ===加盟店処理通番を取得する
        # 加盟店処理通番を返却します。
        # BankPayで取引を一意に識別するID
        # @return:: 加盟店処理通番
        #
        def merchant_transaction_id
          @merchant_transaction_id = nil unless instance_variable_defined?(:@merchant_transaction_id)
          @merchant_transaction_id
        end

        #
        # ===加盟店処理通番を設定する
        # @param:: merchant_transaction_id 加盟店処理通番
        #
        def merchant_transaction_id=(merchant_transaction_id)
          @merchant_transaction_id = merchant_transaction_id
        end

        #
        # ===決済センター側の処理通番を取得する
        # BankPayにて採番する処理通番を返却します。
        # @return:: 決済センター側の処理通番
        #
        def center_transaction_id
          @center_transaction_id = nil unless instance_variable_defined?(:@center_transaction_id)
          @center_transaction_id
        end

        #
        # ===決済センター側の処理通番を設定する
        # @param:: center_transaction_id 決済センター側の処理通番
        #
        def center_transaction_id=(center_transaction_id)
          @center_transaction_id = center_transaction_id
        end

        #
        # ===承認番号を取得する
        # 金融機関にて発行した承認番号を返却します。
        # @return:: 承認番号
        #
        def bank_approval_num
          @bank_approval_num = nil unless instance_variable_defined?(:@bank_approval_num)
          @bank_approval_num
        end

        #
        # ===承認番号を設定する
        # @param:: bank_approval_num 承認番号
        #
        def bank_approval_num=(bank_approval_num)
          @bank_approval_num = bank_approval_num
        end

        #
        # ===決済処理通番を取得する
        # 金融機関にて発行した決済処理通番を返却します。
        # @return:: 決済処理通番
        #
        def bank_processing_id
          @bank_processing_id = nil unless instance_variable_defined?(:@bank_processing_id)
          @bank_processing_id
        end

        #
        # ===決済処理通番を設定する
        # @param:: bank_processing_id 決済処理通番
        #
        def bank_processing_id=(bank_processing_id)
          @bank_processing_id = bank_processing_id
        end

        #
        # ===決済センター処理日時を取得する
        # BankPay側で処理された日時を返却します。（YYYYMMDDhhmmss形式）
        # @return:: 決済センター処理日時
        #
        def center_processing_datetime
          @center_processing_datetime = nil unless instance_variable_defined?(:@center_processing_datetime)
          @center_processing_datetime
        end

        #
        # ===決済センター処理日時を設定する
        # @param:: center_processing_datetime 決済センター処理日時
        #
        def center_processing_datetime=(center_processing_datetime)
          @center_processing_datetime = center_processing_datetime
        end


        #
        # ===PayNowIDオブジェクトを取得する
        # @return:: PayNowIDオブジェクト
        #
        def pay_now_id_response
          @pay_now_id_response = nil unless instance_variable_defined?(:@pay_now_id_response)
          @pay_now_id_response
        end

        #
        # ===PayNowIDオブジェクトを設定する
        # @param:: pay_now_id_response PayNowIDオブジェクト
        #
        def pay_now_id_response=(pay_now_id_response)
          @pay_now_id_response = pay_now_id_response
        end



      end
    end
  end
end
