# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：コンビニ決済、コマンド名：決済の応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class CvsAuthorizeResponseDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスタイプを設定する
        # @param:: service_type 決済サービスタイプ
        #
        def service_type=(service_type)
          @service_type = service_type
        end

        #
        # ===処理結果コードを取得する
        # - 決済請求処理後、応答電文に含まれる値。
        # - 以下の処理結果のいずれかが格納される
        # - ・success：正常終了
        # - ・failure：異常終了
        # - ・pending：保留状態
        # @return:: 処理結果コード
        #
        def mstatus
          @mstatus = nil unless instance_variable_defined?(:@mstatus)
          @mstatus
        end

        #
        # ===処理結果コードを設定する
        # @param:: mstatus 処理結果コード
        #
        def mstatus=(mstatus)
          @mstatus = mstatus
        end

        #
        # ===詳細結果コードを取得する
        # - 結果コード
        # - 例) D001000100000000
        # @return:: 詳細結果コード
        #
        def v_result_code
          @v_result_code = nil unless instance_variable_defined?(:@v_result_code)
          @v_result_code
        end

        #
        # ===詳細結果コードを設定する
        # @param:: v_result_code 詳細結果コード
        #
        def v_result_code=(v_result_code)
          @v_result_code = v_result_code
        end

        #
        # ===エラーメッセージを取得する
        # - エラーメッセージ
        # @return:: エラーメッセージ
        #
        def merr_msg
          @merr_msg = nil unless instance_variable_defined?(:@merr_msg)
          @merr_msg
        end

        #
        # ===エラーメッセージを設定する
        # @param:: merr_msg エラーメッセージ
        #
        def merr_msg=(merr_msg)
          @merr_msg = merr_msg
        end

        #
        # ===電文IDを取得する
        # @return:: 電文ID
        #
        def march_txn
          @march_txn = nil unless instance_variable_defined?(:@march_txn)
          @march_txn
        end

        #
        # ===電文IDを設定する
        # @param:: march_txn 電文ID
        #
        def march_txn=(march_txn)
          @march_txn = march_txn
        end

        #
        # ===取引IDを取得する
        # - 決済請求処理を依頼したオーダー管理ID
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===取引毎に付くIDを取得する
        # @return:: 取引毎に付くID
        #
        def cust_txn
          @cust_txn = nil unless instance_variable_defined?(:@cust_txn)
          @cust_txn
        end

        #
        # ===取引毎に付くIDを設定する
        # @param:: cust_txn 取引毎に付くID
        #
        def cust_txn=(cust_txn)
          @cust_txn = cust_txn
        end

        #
        # ===受付番号を取得する
        # - コンビニへ正常に決済請求が完了した際に配布される受付番号
        # - セブンイレブン：　払込票番号　半角数字13桁固定
        # - ファミリーマート：　収納番号　半角数字と「-」18桁固定
        # - ローソン：　econ受付番号・お支払い受付番号、半角数字7桁 固定
        # - その他：　オンライン決済番号 半角数字11桁
        # @return:: 受付番号
        #
        def receipt_no
          @receipt_no = nil unless instance_variable_defined?(:@receipt_no)
          @receipt_no
        end

        #
        # ===受付番号を設定する
        # @param:: receipt_no 受付番号
        #
        def receipt_no=(receipt_no)
          @receipt_no = receipt_no
        end

        #
        # ===払込票URLを取得する
        # - コンビニから返される払込票URL
        # - セブンイレブン：　URLあり
        # - ファミリーマート：　URLあり
        # - ローソン：　URLなし
        # - その他：　URLあり
        # - 戻り値の「https://～.info/JLP/JLPcon」の部分を
        # - 「https://w2.kessai.info/JLM/JLMcon」に置換えてご利用ください。
        # - 例）
        # - https://w2.kessai.info/JLM/JLMcon?code=xxx～&rkbn=1
        # - ※ローソンはデフォルト設定でURLなしとなっております。URLが必要の場合は弊社にご連絡下さい。
        # - ※PCブラウザーからの印刷用ですので、携帯では正しく表示できません。
        # - ※ファミリーマート、ウェルネットについては携帯での表示・支払に対応しております。
        # - ※テスト時は上記URLではなく、テスト用URLが返戻されます。
        # @return:: 払込票URL
        #
        def haraikomi_url
          @haraikomi_url = nil unless instance_variable_defined?(:@haraikomi_url)
          @haraikomi_url
        end

        #
        # ===払込票URLを設定する
        # @param:: haraikomi_url 払込票URL
        #
        def haraikomi_url=(haraikomi_url)
          @haraikomi_url = haraikomi_url
        end

        #
        # ===MDKバージョンを取得する
        # - 電文のバージョン番号。
        # @return:: MDKバージョン
        #
        def txn_version
          @txn_version = nil unless instance_variable_defined?(:@txn_version)
          @txn_version
        end

        #
        # ===MDKバージョンを設定する
        # @param:: txn_version MDKバージョン
        #
        def txn_version=(txn_version)
          @txn_version = txn_version
        end

        #
        # ===PayNowIDオブジェクトを取得する
        # @return:: PayNowIDオブジェクト
        #
        def pay_now_id_response
          @pay_now_id_response = nil unless instance_variable_defined?(:@pay_now_id_response)
          @pay_now_id_response
        end

        #
        # ===PayNowIDオブジェクトを設定する
        # @param:: pay_now_id_response PayNowIDオブジェクト
        #
        def pay_now_id_response=(pay_now_id_response)
          @pay_now_id_response = pay_now_id_response
        end

        #
        # ===レスポンスからTradURLを取得する
        # @return:: レスポンスに含まれていた広告用（Trad）URL。
        #           エレメントが無いか、エレメントに内容が無ければ nil を返す。
        #
        def get_trad_url()
          return find_trad_url()
        end

      end
    end
  end
end
