# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：電子マネー、コマンド名：決済の応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class EmAuthorizeResponseDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスタイプを設定する
        # @param:: service_type 決済サービスタイプ
        #
        def service_type=(service_type)
          @service_type = service_type
        end

        #
        # ===処理結果コードを取得する
        # - 決済処理後、応答電文に含まれる値。
        # - 以下の処理結果のいずれかが格納される
        # - ・success：正常終了
        # - ・failure：異常終了
        # - ・pending：保留状態
        # @return:: 処理結果コード
        #
        def mstatus
          @mstatus = nil unless instance_variable_defined?(:@mstatus)
          @mstatus
        end

        #
        # ===処理結果コードを設定する
        # @param:: mstatus 処理結果コード
        #
        def mstatus=(mstatus)
          @mstatus = mstatus
        end

        #
        # ===詳細結果コードを取得する
        # - 結果コード
        # - 例) E001000100000000
        # @return:: 詳細結果コード
        #
        def v_result_code
          @v_result_code = nil unless instance_variable_defined?(:@v_result_code)
          @v_result_code
        end

        #
        # ===詳細結果コードを設定する
        # @param:: v_result_code 詳細結果コード
        #
        def v_result_code=(v_result_code)
          @v_result_code = v_result_code
        end

        #
        # ===エラーメッセージを取得する
        # - エラーメッセージ
        # @return:: エラーメッセージ
        #
        def merr_msg
          @merr_msg = nil unless instance_variable_defined?(:@merr_msg)
          @merr_msg
        end

        #
        # ===エラーメッセージを設定する
        # @param:: merr_msg エラーメッセージ
        #
        def merr_msg=(merr_msg)
          @merr_msg = merr_msg
        end

        #
        # ===電文IDを取得する
        # @return:: 電文ID
        #
        def march_txn
          @march_txn = nil unless instance_variable_defined?(:@march_txn)
          @march_txn
        end

        #
        # ===電文IDを設定する
        # @param:: march_txn 電文ID
        #
        def march_txn=(march_txn)
          @march_txn = march_txn
        end

        #
        # ===取引IDを取得する
        # - マーチャント側で取引を一意に表す注文管理ID
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===取引毎に付くIDを取得する
        # @return:: 取引毎に付くID
        #
        def cust_txn
          @cust_txn = nil unless instance_variable_defined?(:@cust_txn)
          @cust_txn
        end

        #
        # ===取引毎に付くIDを設定する
        # @param:: cust_txn 取引毎に付くID
        #
        def cust_txn=(cust_txn)
          @cust_txn = cust_txn
        end

        #
        # ===受付番号を取得する
        # - 決済センターへ正常に決済請求が完了した際に決済センターで採番される受付番号
        # @return:: 受付番号
        #
        def receipt_no
          @receipt_no = nil unless instance_variable_defined?(:@receipt_no)
          @receipt_no
        end

        #
        # ===受付番号を設定する
        # @param:: receipt_no 受付番号
        #
        def receipt_no=(receipt_no)
          @receipt_no = receipt_no
        end

        #
        # ===請求番号を取得する
        # - GWが発番する請求に対するIDが格納されます。
        # @return:: 請求番号
        #
        def invoice_id
          @invoice_id = nil unless instance_variable_defined?(:@invoice_id)
          @invoice_id
        end

        #
        # ===請求番号を設定する
        # @param:: invoice_id 請求番号
        #
        def invoice_id=(invoice_id)
          @invoice_id = invoice_id
        end

        #
        # ===決済アプリ起動URLを取得する
        # - 支払/受取アプリ起動URL
        # @return:: 決済アプリ起動URL
        #
        def app_url
          @app_url = nil unless instance_variable_defined?(:@app_url)
          @app_url
        end

        #
        # ===決済アプリ起動URLを設定する
        # @param:: app_url 決済アプリ起動URL
        #
        def app_url=(app_url)
          @app_url = app_url
        end

        #
        # ===API実行IDを取得する
        # - 決済センターが処理を識別するためのID
        # @return:: API実行ID
        #
        def log_id
          @log_id = nil unless instance_variable_defined?(:@log_id)
          @log_id
        end

        #
        # ===API実行IDを設定する
        # @param:: log_id API実行ID
        #
        def log_id=(log_id)
          @log_id = log_id
        end

        #
        # ===カード残高を取得する
        # - 決済正常終了時点の残りクレジット数
        # @return:: カード残高
        #
        def card_balance
          @card_balance = nil unless instance_variable_defined?(:@card_balance)
          @card_balance
        end

        #
        # ===カード残高を設定する
        # @param:: card_balance カード残高
        #
        def card_balance=(card_balance)
          @card_balance = card_balance
        end

        #
        # ===センター要求日時を取得する
        # - 決済サーバーが要求電文を送信した日時
        # @return:: センター要求日時
        #
        def center_request_datetime
          @center_request_datetime = nil unless instance_variable_defined?(:@center_request_datetime)
          @center_request_datetime
        end

        #
        # ===センター要求日時を設定する
        # @param:: center_request_datetime センター要求日時
        #
        def center_request_datetime=(center_request_datetime)
          @center_request_datetime = center_request_datetime
        end

        #
        # ===センター応答日時を取得する
        # - 決済サーバーが応答電文を受信した日時
        # @return:: センター応答日時
        #
        def center_response_datetime
          @center_response_datetime = nil unless instance_variable_defined?(:@center_response_datetime)
          @center_response_datetime
        end

        #
        # ===センター応答日時を設定する
        # @param:: center_response_datetime センター応答日時
        #
        def center_response_datetime=(center_response_datetime)
          @center_response_datetime = center_response_datetime
        end

        #
        # ===MDKバージョンを取得する
        # - 電文のバージョン番号。
        # @return:: MDKバージョン
        #
        def txn_version
          @txn_version = nil unless instance_variable_defined?(:@txn_version)
          @txn_version
        end

        #
        # ===MDKバージョンを設定する
        # @param:: txn_version MDKバージョン
        #
        def txn_version=(txn_version)
          @txn_version = txn_version
        end

        #
        # ===PayNowIDオブジェクトを取得する
        # @return:: PayNowIDオブジェクト
        #
        def pay_now_id_response
          @pay_now_id_response = nil unless instance_variable_defined?(:@pay_now_id_response)
          @pay_now_id_response
        end

        #
        # ===PayNowIDオブジェクトを設定する
        # @param:: pay_now_id_response PayNowIDオブジェクト
        #
        def pay_now_id_response=(pay_now_id_response)
          @pay_now_id_response = pay_now_id_response
        end

        #
        # ===レスポンスからTradURLを取得する
        # @return:: レスポンスに含まれていた広告用（Trad）URL。
        #           エレメントが無いか、エレメントに内容が無ければ nil を返す。
        #
        def get_trad_url()
          return find_trad_url()
        end

      end
    end
  end
end
