# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知商品情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionLineItemDto

        #
        # ===商品情報参照用Keyを取得する
        # @return:: 商品情報参照用Key
        #
        def ref_id
          @ref_id = nil unless instance_variable_defined?(:@ref_id)
          @ref_id
        end

        #
        # ===商品情報参照用Keyを設定する
        # 他項目から、商品情報オブジェクトへの参照用の Key 名称。
        # @param:: ref_id 商品情報参照用Key
        #
        def ref_id=(ref_id)
          @ref_id = ref_id
        end

        #
        # ===商品名を取得する
        # @return:: 商品名
        #
        def name
          @name = nil unless instance_variable_defined?(:@name)
          @name
        end

        #
        # ===商品名を設定する
        # 商品名を設定してください。
        # @param:: name 商品名
        #
        def name=(name)
          @name = name
        end

        #
        # ===商品説明を取得する
        # @return:: 商品説明
        #
        def description
          @description = nil unless instance_variable_defined?(:@description)
          @description
        end

        #
        # ===商品説明を設定する
        # 商品説明を設定してください。
        # @param:: description 商品説明
        #
        def description=(description)
          @description = description
        end

        #
        # ===商品識別IDを取得する
        # @return:: 商品識別ID
        #
        def sku
          @sku = nil unless instance_variable_defined?(:@sku)
          @sku
        end

        #
        # ===商品識別IDを設定する
        # 商品を識別する ID を設定してください。
        # @param:: sku 商品識別ID
        #
        def sku=(sku)
          @sku = sku
        end

        #
        # ===EANコードを取得する
        # @return:: EANコード
        #
        def ean_code
          @ean_code = nil unless instance_variable_defined?(:@ean_code)
          @ean_code
        end

        #
        # ===EANコードを設定する
        # 商品のEAN/JANコードを設定してください。
        # @param:: ean_code EANコード
        #
        def ean_code=(ean_code)
          @ean_code = ean_code
        end

        #
        # ===プロモーションコードを取得する
        # @return:: プロモーションコード
        #
        def promo_code
          @promo_code = nil unless instance_variable_defined?(:@promo_code)
          @promo_code
        end

        #
        # ===プロモーションコードを設定する
        # エンドユーザが購入時に使用したプロモーションコードを設定してください。
        # @param:: promo_code プロモーションコード
        #
        def promo_code=(promo_code)
          @promo_code = promo_code
        end

        #
        # ===カテゴリを取得する
        # @return:: カテゴリ
        #
        def category
          @category = nil unless instance_variable_defined?(:@category)
          @category
        end

        #
        # ===カテゴリを設定する
        # 商品のカテゴリ名を設定してください。
        # @param:: category カテゴリ
        #
        def category=(category)
          @category = category
        end

        #
        # ===ブランドを取得する
        # @return:: ブランド
        #
        def brand
          @brand = nil unless instance_variable_defined?(:@brand)
          @brand
        end

        #
        # ===ブランドを設定する
        # ブランド名またはブランドコードを設定してください。
        # @param:: brand ブランド
        #
        def brand=(brand)
          @brand = brand
        end

        #
        # ===販売者IDを取得する
        # @return:: 販売者ID
        #
        def seller_id
          @seller_id = nil unless instance_variable_defined?(:@seller_id)
          @seller_id
        end

        #
        # ===販売者IDを設定する
        # 購入者が他の方に販売する際の販売者IDを設定してください。
        # amazonマーケットプレイスの出品者ID等。
        # @param:: seller_id 販売者ID
        #
        def seller_id=(seller_id)
          @seller_id = seller_id
        end

        #
        # ===商品重量を取得する
        # @return:: 商品重量
        #
        def unit_weight
          @unit_weight = nil unless instance_variable_defined?(:@unit_weight)
          @unit_weight
        end

        #
        # ===商品重量を設定する
        # 商品の重量を設定してください。
        # @param:: unit_weight 商品重量
        #
        def unit_weight=(unit_weight)
          @unit_weight = unit_weight
        end

        #
        # ===重量単位を取得する
        # @return:: 重量単位
        #
        def unit
          @unit = nil unless instance_variable_defined?(:@unit)
          @unit
        end

        #
        # ===重量単位を設定する
        # 重量の単位を設定してください。
        # 選択肢は「POUND,OUNCE,GRAM,KILOGRAM」の何れかになります。
        # POUND：ポンド
        # OUNCE：オンス
        # GRAM：グラム
        # KILOGRAM：キログラム
        # @param:: unit 重量単位
        #
        def unit=(unit)
          @unit = unit
        end

        #
        # ===商品数量を取得する
        # @return:: 商品数量
        #
        def quantity
          @quantity = nil unless instance_variable_defined?(:@quantity)
          @quantity
        end

        #
        # ===商品数量を設定する
        # 商品の数量を設定してください。
        # @param:: quantity 商品数量
        #
        def quantity=(quantity)
          @quantity = quantity
        end

        #
        # ===商品単価を取得する
        # @return:: 商品単価
        #
        def unit_amount
          @unit_amount = nil unless instance_variable_defined?(:@unit_amount)
          @unit_amount
        end

        #
        # ===商品単価を設定する
        # 商品の単価を設定してください。
        # @param:: unit_amount 商品単価
        #
        def unit_amount=(unit_amount)
          @unit_amount = unit_amount
        end

        #
        # ===商品通貨コード(商品単価)を取得する
        # @return:: 商品通貨コード(商品単価)
        #
        def unit_currency_code
          @unit_currency_code = nil unless instance_variable_defined?(:@unit_currency_code)
          @unit_currency_code
        end

        #
        # ===商品通貨コード(商品単価)を設定する
        # @param:: unit_currency_code 商品通貨コード(商品単価)
        #
        def unit_currency_code=(unit_currency_code)
          @unit_currency_code = unit_currency_code
        end

        #
        # ===商品合計額を取得する
        # @return:: 商品合計額
        #
        def total_amount
          @total_amount = nil unless instance_variable_defined?(:@total_amount)
          @total_amount
        end

        #
        # ===商品合計額を設定する
        # 商品の合計額を設定してください。
        # @param:: total_amount 商品合計額
        #
        def total_amount=(total_amount)
          @total_amount = total_amount
        end

        #
        # ===商品通貨コード(商品合計)を取得する
        # @return:: 商品通貨コード(商品合計)
        #
        def total_currency_code
          @total_currency_code = nil unless instance_variable_defined?(:@total_currency_code)
          @total_currency_code
        end

        #
        # ===商品通貨コード(商品合計)を設定する
        # @param:: total_currency_code 商品通貨コード(商品合計)
        #
        def total_currency_code=(total_currency_code)
          @total_currency_code = total_currency_code
        end


      end
    end
  end
end
