# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知評価応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionResponseDto

        #
        # ===不正検知評価結果を取得する
        # 不正検知評価結果。
        # この結果を元に後続処理をご判断ください。
        # 「accept, deny, challenge, error, timeout, internal_error」の何れかになります。
        # accept：承認
        # deny：拒否
        # challenge：保留
        # error：不正検知サービス先でエラー発生
        # timeout：不正検知サービスとの接続／応答タイムアウト
        # internal_error：ベリトランスでエラー発生
        # @return:: 不正検知評価結果
        #
        def result
          @result = nil unless instance_variable_defined?(:@result)
          @result
        end

        #
        # ===不正検知評価結果を設定する
        # @param:: result 不正検知評価結果
        #
        def result=(result)
          @result = result
        end

        #
        # ===不正検知サービスを取得する
        # 不正検知評価結果に採用した不正検知サービス。
        # @return:: 不正検知サービス
        #
        def service
          @service = nil unless instance_variable_defined?(:@service)
          @service
        end

        #
        # ===不正検知サービスを設定する
        # @param:: service 不正検知サービス
        #
        def service=(service)
          @service = service
        end

        #
        # ===CAFIS Brain詳細結果応答を取得する
        # CAFIS Brainの詳細結果応答オブジェクト。
        # ※CAFIS Brainで不正検知評価を行った場合に設定されます。
        # @return:: CAFIS Brain詳細結果応答
        #
        def cb_response
          @cb_response = nil unless instance_variable_defined?(:@cb_response)
          @cb_response
        end

        #
        # ===CAFIS Brain詳細結果応答を設定する
        # @param:: cb_response CAFIS Brain詳細結果応答
        #
        def cb_response=(cb_response)
          @cb_response = cb_response
        end

        #
        # ===ReD詳細結果応答を取得する
        # ReDの詳細結果応答オブジェクト。
        # ※ReDで不正検知評価を行った場合に設定されます。
        # @return:: ReD詳細結果応答
        #
        def rd_response
          @rd_response = nil unless instance_variable_defined?(:@rd_response)
          @rd_response
        end

        #
        # ===ReD詳細結果応答を設定する
        # @param:: rd_response ReD詳細結果応答
        #
        def rd_response=(rd_response)
          @rd_response = rd_response
        end

        #
        # ===Aegis詳細結果応答を取得する
        # Aegisの詳細結果応答オブジェクト。
        # ※Aegisで不正検知評価を行った場合に設定されます。
        # @return:: Aegis詳細結果応答
        #
        def ag_response
          @ag_response = nil unless instance_variable_defined?(:@ag_response)
          @ag_response
        end

        #
        # ===Aegis詳細結果応答を設定する
        # @param:: ag_response Aegis詳細結果応答
        #
        def ag_response=(ag_response)
          @ag_response = ag_response
        end

        #
        # ===プロパティ名と対応するクラス名のハッシュを取得する
        # @return:: プロパティ名と対応するクラス名のハッシュ
        #
        def get_property_class_name_hash()
          @hash = {"cbResponse" => "FraudDetectionCbResponseDto", "rdResponse" => "FraudDetectionRdResponseDto", "agResponse" => "FraudDetectionAgResponseDto"}
          @hash
        end

      end
    end
  end
end
