# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知セッション情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionSessionDto

        #
        # ===セッション識別子を取得する
        # @return:: セッション識別子
        #
        def id
          @id = nil unless instance_variable_defined?(:@id)
          @id
        end

        #
        # ===セッション識別子を設定する
        # 貴社システム上でのセッション識別子を設定してください。
        # @param:: id セッション識別子
        #
        def id=(id)
          @id = id
        end

        #
        # ===アイテム削除フラグを取得する
        # @return:: アイテム削除フラグ
        #
        def items_removed
          @items_removed = nil unless instance_variable_defined?(:@items_removed)
          @items_removed
        end

        #
        # ===アイテム削除フラグを設定する
        # トランザクション中に、“買い物カゴ”からアイテムが削除されたことを示すフラグを設定してください。
        # @param:: items_removed アイテム削除フラグ
        #
        def items_removed=(items_removed)
          @items_removed = items_removed
        end

        #
        # ===ログイン経過時間を取得する
        # @return:: ログイン経過時間
        #
        def duration_in_millis
          @duration_in_millis = nil unless instance_variable_defined?(:@duration_in_millis)
          @duration_in_millis
        end

        #
        # ===ログイン経過時間を設定する
        # ログイン経過時間（ミリ秒）を設定してください。
        # @param:: duration_in_millis ログイン経過時間
        #
        def duration_in_millis=(duration_in_millis)
          @duration_in_millis = duration_in_millis
        end

        #
        # ===最終送信画面コードを取得する
        # @return:: 最終送信画面コード
        #
        def activity_page_code
          @activity_page_code = nil unless instance_variable_defined?(:@activity_page_code)
          @activity_page_code
        end

        #
        # ===最終送信画面コードを設定する
        # 最終送信画面コード（名）を設定してください。
        # @param:: activity_page_code 最終送信画面コード
        #
        def activity_page_code=(activity_page_code)
          @activity_page_code = activity_page_code
        end

        #
        # ===ログイン失敗回数を取得する
        # @return:: ログイン失敗回数
        #
        def failed_login_attempts
          @failed_login_attempts = nil unless instance_variable_defined?(:@failed_login_attempts)
          @failed_login_attempts
        end

        #
        # ===ログイン失敗回数を設定する
        # 過去分すべての、ログイン試行し失敗した回数を設定してください。
        # @param:: failed_login_attempts ログイン失敗回数
        #
        def failed_login_attempts=(failed_login_attempts)
          @failed_login_attempts = failed_login_attempts
        end

        #
        # ===サードパーティセッション識別子を取得する
        # @return:: サードパーティセッション識別子
        #
        def third_party_session_id
          @third_party_session_id = nil unless instance_variable_defined?(:@third_party_session_id)
          @third_party_session_id
        end

        #
        # ===サードパーティセッション識別子を設定する
        # サードパーティセッション識別子を設定してください。
        # @param:: third_party_session_id サードパーティセッション識別子
        #
        def third_party_session_id=(third_party_session_id)
          @third_party_session_id = third_party_session_id
        end

        #
        # ===ログインフラグを取得する
        # @return:: ログインフラグ
        #
        def logged_in
          @logged_in = nil unless instance_variable_defined?(:@logged_in)
          @logged_in
        end

        #
        # ===ログインフラグを設定する
        # ログインしていたかの状態を設定してください。
        # @param:: logged_in ログインフラグ
        #
        def logged_in=(logged_in)
          @logged_in = logged_in
        end

        #
        # ===認証要求状態フラグを取得する
        # @return:: 認証要求状態フラグ
        #
        def multi_factor_authenticated
          @multi_factor_authenticated = nil unless instance_variable_defined?(:@multi_factor_authenticated)
          @multi_factor_authenticated
        end

        #
        # ===認証要求状態フラグを設定する
        # 2要素認証要求状態を設定してください。
        # @param:: multi_factor_authenticated 認証要求状態フラグ
        #
        def multi_factor_authenticated=(multi_factor_authenticated)
          @multi_factor_authenticated = multi_factor_authenticated
        end

        #
        # ===ログイン試行回数を取得する
        # @return:: ログイン試行回数
        #
        def challenge_attempts
          @challenge_attempts = nil unless instance_variable_defined?(:@challenge_attempts)
          @challenge_attempts
        end

        #
        # ===ログイン試行回数を設定する
        # 直近のログイン試行回数を設定してください。
        # @param:: challenge_attempts ログイン試行回数
        #
        def challenge_attempts=(challenge_attempts)
          @challenge_attempts = challenge_attempts
        end


      end
    end
  end
end
