# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/abstract_payment_request_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：Saison認可画面表示要求電文DTOクラス
      #
      # @author:: VeriTrans Inc.
      #
      class SaisonAuthorizeRequestDto < Veritrans::Tercerog::Mdk::AbstractPaymentRequestDto

        #
        # 決済サービスタイプ
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_TYPE = "saison"

        #
        # 決済サービスコマンド
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_COMMAND = "Authorize"

        #
        # ===コンストラクタ
        #
        def initialize
          @service_type = SERVICE_TYPE
          @service_command = SERVICE_COMMAND
        end

        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスコマンドを取得する
        # @return:: 決済サービスコマンド
        #
        def service_command
          @service_command = nil unless instance_variable_defined?(:@service_command)
          @service_command
        end

        #
        # ===決済サービスオプションを取得する
        # @return:: 決済サービスオプション
        #
        def service_option_type
          @service_option_type = nil unless instance_variable_defined?(:@service_option_type)
          @service_option_type
        end

        #
        # ===決済サービスオプションを設定する
        # @param:: service_option_type 決済サービスオプション
        #
        def service_option_type=(service_option_type)
          @service_option_type = service_option_type
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===マーチャントリダイレクションURIを取得する
        # @return:: マーチャントリダイレクションURI
        #
        def merchant_redirection_uri
          @merchant_redirection_uri = nil unless instance_variable_defined?(:@merchant_redirection_uri)
          @merchant_redirection_uri
        end

        #
        # ===マーチャントリダイレクションURIを設定する
        # @param:: merchant_redirection_uri マーチャントリダイレクションURI
        #
        def merchant_redirection_uri=(merchant_redirection_uri)
          @merchant_redirection_uri = merchant_redirection_uri
        end

        #
        # ===決済方式を取得する
        # @return:: 決済方式
        #
        def settlement_method
          @settlement_method = nil unless instance_variable_defined?(:@settlement_method)
          @settlement_method
        end

        #
        # ===決済方式を設定する
        # @param:: settlement_method 決済方式
        #
        def settlement_method=(settlement_method)
          @settlement_method = settlement_method
        end

        #
        # ===拡張パラメータリストを取得する
        # @return:: 拡張パラメータリスト
        #
        def option_params
          @option_params = nil unless instance_variable_defined?(:@option_params)
          @option_params
        end

        #
        # ===拡張パラメータリストを設定する
        # @param:: option_params 拡張パラメータリスト
        #
        def option_params=(option_params)
          @option_params = option_params
        end

      end
    end
  end
end
