# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/abstract_payment_request_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：スコア@払い、コマンド名：決済確定の要求Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class ScoreatpayCaptureRequestDto < Veritrans::Tercerog::Mdk::AbstractPaymentRequestDto

        #
        # ===コンストラクタ
        #
        def initialize
          @service_type = SERVICE_TYPE
          @service_command = SERVICE_COMMAND
        end


        #
        # 決済サービスタイプ
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_TYPE = "scoreatpay"

        #
        # 決済サービスコマンド
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_COMMAND = "Capture"


        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスコマンドを取得する
        # @return:: 決済サービスコマンド
        #
        def service_command
          @service_command = nil unless instance_variable_defined?(:@service_command)
          @service_command
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # 決済確定対象の取引IDを指定します。
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===運送会社コードを取得する
        # @return:: 運送会社コード
        #
        def pd_company_code
          @pd_company_code = nil unless instance_variable_defined?(:@pd_company_code)
          @pd_company_code
        end

        #
        # ===運送会社コードを設定する
        # 運送会社に該当する2桁の数字を指定します。
        #  - 11：佐川急便
        #  - 12：ヤマト運輸・クロネコメール便
        #  - 13：日本通運
        #  - 14：西濃運輸
        #  - 15：郵便書留
        #  - 16：郵パック
        #  - 17：セイノースーパーエクスプレス
        #  - 18：福山通運
        #  - 20：新潟運輸
        #  - 21：名鉄運輸
        #  - 23：信州名鉄運輸
        #  - 26：トールエクスプレスジャパン
        #  - 27：エコ配
        #  - 28：翌朝10時郵便
        #  - 29：トナミ運輸
        #  - 99：その他　※どの運送会社にも該当しない場合使用
        # @param:: pd_company_code 運送会社コード
        #
        def pd_company_code=(pd_company_code)
          @pd_company_code = pd_company_code
        end

        #
        # ===配送伝票番号を取得する
        # @return:: 配送伝票番号
        #
        def slip_no
          @slip_no = nil unless instance_variable_defined?(:@slip_no)
          @slip_no
        end

        #
        # ===配送伝票番号を設定する
        # ハイフン以外の記号は利用しないでください。
        # @param:: slip_no 配送伝票番号
        #
        def slip_no=(slip_no)
          @slip_no = slip_no
        end

        #
        # ===配送先IDを取得する
        # @return:: 配送先ID
        #
        def delivery_id
          @delivery_id = nil unless instance_variable_defined?(:@delivery_id)
          @delivery_id
        end

        #
        # ===配送先IDを設定する
        # ScoreatpayAuthorizeRequestDtoで設定した値を設定します。
        # @param:: delivery_id 配送先ID
        #
        def delivery_id=(delivery_id)
          @delivery_id = delivery_id
        end


      end
    end
  end
end
