# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/abstract_payment_request_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：スコア@払い、コマンド名：決済情報修正の要求Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class ScoreatpayCorrectAuthRequestDto < Veritrans::Tercerog::Mdk::AbstractPaymentRequestDto

        #
        # ===コンストラクタ
        #
        def initialize
          @service_type = SERVICE_TYPE
          @service_command = SERVICE_COMMAND
        end


        #
        # 決済サービスタイプ
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_TYPE = "scoreatpay"

        #
        # 決済サービスコマンド
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_COMMAND = "CorrectAuth"


        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスコマンドを取得する
        # @return:: 決済サービスコマンド
        #
        def service_command
          @service_command = nil unless instance_variable_defined?(:@service_command)
          @service_command
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # - マーチャント側で取引を一意に表す注文管理IDを指定します。
        # - 申込処理ごとに一意である必要があります。
        # - 半角英数字、“-”（ハイフン）、“_”（アンダースコア）も使用可能です。
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===決済金額を取得する
        # @return:: 決済金額
        #
        def amount
          @amount = nil unless instance_variable_defined?(:@amount)
          @amount
        end

        #
        # ===決済金額を設定する
        # 決済金額を指定します。
        # - 1 以上かつ 999999(6桁) 以下
        # @param:: amount 決済金額
        #
        def amount=(amount)
          @amount = amount
        end

        #
        # ===注文日を取得する
        # @return:: 注文日
        #
        def shop_order_date
          @shop_order_date = nil unless instance_variable_defined?(:@shop_order_date)
          @shop_order_date
        end

        #
        # ===注文日を設定する
        # 注文日を指定します。
        #  - "YYYY/MM/DD"の10桁固定
        # @param:: shop_order_date 注文日
        #
        def shop_order_date=(shop_order_date)
          @shop_order_date = shop_order_date
        end

        #
        # ===購入者情報を取得する
        # @return:: 購入者情報
        #
        def buyer_contact
          @buyer_contact = nil unless instance_variable_defined?(:@buyer_contact)
          @buyer_contact
        end

        #
        # ===購入者情報を設定する
        # 連絡先オブジェクトを設定します。
        # @param:: buyer_contact 購入者情報
        #
        def buyer_contact=(buyer_contact)
          @buyer_contact = buyer_contact
        end

        #
        # ===購入者追加情報を取得する
        # @return:: 購入者追加情報
        #
        def buyer_additional_info
          @buyer_additional_info = nil unless instance_variable_defined?(:@buyer_additional_info)
          @buyer_additional_info
        end

        #
        # ===購入者追加情報を設定する
        # 購入者の与信審査に利用する追加情報を設定します。
        # @param:: buyer_additional_info 購入者追加情報
        #
        def buyer_additional_info=(buyer_additional_info)
          @buyer_additional_info = buyer_additional_info
        end

        #
        # ===決済種別を取得する
        # @return:: 決済種別
        #
        def payment_type
          @payment_type = nil unless instance_variable_defined?(:@payment_type)
          @payment_type
        end

        #
        # ===決済種別を設定する
        # 決済種別を指定します。
        #  - 2：請求書別送。
        #  - 3：請求書同梱サービス。
        #  - ※請求書同梱サービスは、購入者住所情報と配送先住所情報が完全に一致す
        # る場合のみ使用可能。
        # @param:: payment_type 決済種別
        #
        def payment_type=(payment_type)
          @payment_type = payment_type
        end

        #
        # ===配送先情報を取得する
        # @return:: 配送先情報
        #
        def delivery
          @delivery = nil unless instance_variable_defined?(:@delivery)
          @delivery
        end

        #
        # ===配送先情報を設定する
        # 配送先情報オブジェクトを配列で指定します。
        # @param:: delivery 配送先情報
        #
        def delivery=(delivery)
          @delivery = delivery
        end

        #
        # ===配送先情報2を取得する
        # @return:: 配送先情報2
        #
        def delivery2
          @delivery2 = nil unless instance_variable_defined?(:@delivery2)
          @delivery2
        end

        #
        # ===配送先情報2を設定する
        # 配送先情報オブジェクトを設定します。※配送先が２つ以上ある場合に設定します。
        # @param:: delivery2 配送先情報2
        #
        def delivery2=(delivery2)
          @delivery2 = delivery2
        end

        #
        # ===配送先情報3を取得する
        # @return:: 配送先情報3
        #
        def delivery3
          @delivery3 = nil unless instance_variable_defined?(:@delivery3)
          @delivery3
        end

        #
        # ===配送先情報3を設定する
        # 配送先情報オブジェクトを設定します。※配送先が２つ以上ある場合に設定します。
        # @param:: delivery3 配送先情報3
        #
        def delivery3=(delivery3)
          @delivery3 = delivery3
        end

        #
        # ===配送先情報4を取得する
        # @return:: 配送先情報4
        #
        def delivery4
          @delivery4 = nil unless instance_variable_defined?(:@delivery4)
          @delivery4
        end

        #
        # ===配送先情報4を設定する
        # 配送先情報オブジェクトを設定します。※配送先が２つ以上ある場合に設定します。
        # @param:: delivery4 配送先情報4
        #
        def delivery4=(delivery4)
          @delivery4 = delivery4
        end

        #
        # ===配送先情報5を取得する
        # @return:: 配送先情報5
        #
        def delivery5
          @delivery5 = nil unless instance_variable_defined?(:@delivery5)
          @delivery5
        end

        #
        # ===配送先情報5を設定する
        # 配送先情報オブジェクトを設定します。※配送先が２つ以上ある場合に設定します。
        # @param:: delivery5 配送先情報5
        #
        def delivery5=(delivery5)
          @delivery5 = delivery5
        end

        #
        # ===配送先情報6を取得する
        # @return:: 配送先情報6
        #
        def delivery6
          @delivery6 = nil unless instance_variable_defined?(:@delivery6)
          @delivery6
        end

        #
        # ===配送先情報6を設定する
        # 配送先情報オブジェクトを設定します。※配送先が２つ以上ある場合に設定します。
        # @param:: delivery6 配送先情報6
        #
        def delivery6=(delivery6)
          @delivery6 = delivery6
        end

        #
        # ===配送先情報7を取得する
        # @return:: 配送先情報7
        #
        def delivery7
          @delivery7 = nil unless instance_variable_defined?(:@delivery7)
          @delivery7
        end

        #
        # ===配送先情報7を設定する
        # 配送先情報オブジェクトを設定します。※配送先が２つ以上ある場合に設定します。
        # @param:: delivery7 配送先情報7
        #
        def delivery7=(delivery7)
          @delivery7 = delivery7
        end

        #
        # ===配送先情報8を取得する
        # @return:: 配送先情報8
        #
        def delivery8
          @delivery8 = nil unless instance_variable_defined?(:@delivery8)
          @delivery8
        end

        #
        # ===配送先情報8を設定する
        # 配送先情報オブジェクトを設定します。※配送先が２つ以上ある場合に設定します。
        # @param:: delivery8 配送先情報8
        #
        def delivery8=(delivery8)
          @delivery8 = delivery8
        end

        #
        # ===配送先情報9を取得する
        # @return:: 配送先情報9
        #
        def delivery9
          @delivery9 = nil unless instance_variable_defined?(:@delivery9)
          @delivery9
        end

        #
        # ===配送先情報9を設定する
        # 配送先情報オブジェクトを設定します。※配送先が２つ以上ある場合に設定します。
        # @param:: delivery9 配送先情報9
        #
        def delivery9=(delivery9)
          @delivery9 = delivery9
        end


      end
    end
  end
end
