# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:検索条件パラメータ群を保持するクラス
      #
      # @author:: VeriTrans Inc.
      #
      class SearchParameters

        #
        # ===共通検索パラメータを取得する
        # @return:: 共通検索パラメータ
        #
        def common
          @common = nil unless instance_variable_defined?(:@common)
          @common
        end

        #
        # ===共通検索パラメータを設定する
        # @param:: common 共通検索パラメータ
        #
        def common=(common)
          @common = common
        end

        #
        # ===カード検索パラメータを取得する
        # @return:: カード検索パラメータ
        #
        def card
          @card = nil unless instance_variable_defined?(:@card)
          @card
        end

        #
        # ===カード検索パラメータを設定する
        # @param:: card カード検索パラメータ
        #
        def card=(card)
          @card = card
        end

        #
        # ===電子マネー検索パラメータを取得する
        # @return:: 電子マネー検索パラメータ
        #
        def em
          @em = nil unless instance_variable_defined?(:@em)
          @em
        end

        #
        # ===電子マネー検索パラメータを設定する
        # @param:: em 電子マネー検索パラメータ
        #
        def em=(em)
          @em = em
        end

        #
        # ===コンビニ検索パラメータを取得する
        # @return:: コンビニ検索パラメータ
        #
        def cvs
          @cvs = nil unless instance_variable_defined?(:@cvs)
          @cvs
        end

        #
        # ===コンビニ検索パラメータを設定する
        # @param:: cvs コンビニ検索パラメータ
        #
        def cvs=(cvs)
          @cvs = cvs
        end

        #
        # ===ペイジー検索パラメータを取得する
        # @return:: ペイジー検索パラメータ
        #
        def bank
          @bank = nil unless instance_variable_defined?(:@bank)
          @bank
        end

        #
        # ===銀行決済検索パラメータを設定する
        # @param:: bank 銀行決済検索パラメータ
        #
        def bank=(bank)
          @bank = bank
        end

        #
        # ===ペイパル検索パラメータを取得する
        # @return:: ペイパル検索パラメータ
        #
        def paypal
          @paypal = nil unless instance_variable_defined?(:@paypal)
          @paypal
        end

        #
        # ===ペイパル検索パラメータを設定する
        # @param:: paypal ペイパル検索パラメータ
        #
        def paypal=(paypal)
          @paypal = paypal
        end

        #
        # ===3Dセキュアカード連携検索パラメータを取得する
        # @return:: 3Dセキュアカード連携検索パラメータ
        #
        def mpi
          @mpi = nil unless instance_variable_defined?(:@mpi)
          @mpi
        end

        #
        # ===3Dセキュアカード連携検索パラメータを設定する
        # @param:: mpi 3Dセキュアカード連携検索パラメータ
        #
        def mpi=(mpi)
          @mpi = mpi
        end

        #
        # ===セゾン検索パラメータを取得する
        # @return:: セゾン検索パラメータ
        #
        def saison
          @saison = nil unless instance_variable_defined?(:@saison)
          @saison
        end

        #
        # ===セゾン検索パラメータを設定する
        # @param:: saison セゾン検索パラメータ
        #
        def saison=(saison)
          @saison = saison
        end

        #
        # ===Upop検索パラメータを取得する
        # @return:: Upop検索パラメータ
        #
        def upop
          @upop = nil unless instance_variable_defined?(:@upop)
          @upop
        end

        #
        # ===Upop検索パラメータを設定する
        # @param:: upop Upop検索パラメータ
        #
        def upop=(upop)
          @upop= upop
        end

        #
        # ===Alipay検索パラメータを取得する
        # @return:: Alipay検索パラメータ
        #
        def alipay
          @alipay = nil unless instance_variable_defined?(:@alipay)
          @alipay
        end

        #
        # ===Alipay検索パラメータを設定する
        # @param:: alipay Alipay検索パラメータ
        #
        def alipay=(alipay)
          @alipay = alipay
        end

        #
        # ===金融機関マスタ検索パラメータを取得する
        # @return:: 金融機関マスタ検索パラメータ
        #
        def bank_financial_inst_info
          @bank_financial_inst_info = nil unless instance_variable_defined?(:@bank_financial_inst_info)
          @bank_financial_inst_info
        end

        #
        # ===金融機関マスタ検索パラメータを設定する
        # @param:: bank_financial_inst_info 金融機関マスタ検索パラメータ
        #
        def bank_financial_inst_info=(bank_financial_inst_info)
          @bank_financial_inst_info = bank_financial_inst_info
        end

        #
        # ===キャリア検索パラメータを取得する
        # @return:: キャリア検索パラメータ
        #
        def carrier
          @carrier = nil unless instance_variable_defined?(:@carrier)
          @carrier
        end

        #
        # ===キャリア検索パラメータを設定する
        # @param:: carrier キャリア検索パラメータ
        #
        def carrier=(carrier)
          @carrier = carrier
        end

        #
        # ===ショッピングクレジット検索パラメータを取得する
        # @return:: ショッピングクレジット検索パラメータ
        #
        def oricosc
          @oricosc = nil unless instance_variable_defined?(:@oricosc)
          @oricosc
        end

        #
        # ===ショッピングクレジット検索パラメータを設定する
        # @param:: oricosc ショッピングクレジット検索パラメータ
        #
        def oricosc=(oricosc)
          @oricosc = oricosc
        end

        #
        # ===楽天検索パラメータを取得する
        # @return:: 楽天検索パラメータ
        #
        def rakuten
          @rakuten = nil unless instance_variable_defined?(:@rakuten)
          @rakuten
        end

        #
        # ===楽天検索パラメータを設定する
        # @param:: rakuten 楽天検索パラメータ
        #
        def rakuten=(rakuten)
          @rakuten = rakuten
        end

        #
        # ===リクルート検索パラメータを取得する
        # @return:: リクルート検索パラメータ
        #
        def recruit
          @recruit = nil unless instance_variable_defined?(:@recruit)
          @recruit
        end

        #
        # ===リクルート検索パラメータを設定する
        # @param:: recruit リクルート検索パラメータ
        #
        def recruit=(recruit)
          @recruit = recruit
        end

        #
        # ===Linepay検索パラメータを取得する
        # @return:: Linepay検索パラメータ
        #
        def linepay
          @linepay = nil unless instance_variable_defined?(:@linepay)
          @linepay
        end

        #
        # ===Linepay検索パラメータを設定する
        # @param:: linepay linepay検索パラメータ
        #
        def linepay=(linepay)
          @linepay = linepay
        end

        #
        # ===MasterPass検索パラメータを取得する
        # @return:: MasterPass検索パラメータ
        #
        def masterpass
          @masterpass = nil unless instance_variable_defined?(:@masterpass)
          @masterpass
        end

        #
        # ===MasterPass検索パラメータを設定する
        # @param:: masterpass MasterPass検索パラメータ
        #
        def masterpass=(masterpass)
          @masterpass = masterpass
        end

        #
        # ===バーチャル口座検索パラメータを取得する
        # @return:: バーチャル口座検索パラメータ
        #
        def virtualacc
          @virtualacc = nil unless instance_variable_defined?(:@virtualacc)
          @virtualacc
        end

        #
        # ===バーチャル口座検索パラメータを設定する
        # @param:: virtualacc バーチャル口座検索パラメータ
        #
        def virtualacc=(virtualacc)
          @virtualacc = virtualacc
        end

        #
        # ===Tenpay検索パラメータを取得する
        # @return:: Tenpay検索パラメータ
        #
        def tenpay
          @tenpay = nil unless instance_variable_defined?(:@tenpay)
          @tenpay
        end

        #
        # ===Tenpay検索パラメータを設定する
        # @param:: tenpay Tenpay検索パラメータ
        #
        def tenpay=(tenpay)
          @tenpay = tenpay
        end

        #
        # ===PayPay検索パラメータを取得する
        # @return:: PayPay検索パラメータ
        #
        def paypay
          @paypay = nil unless instance_variable_defined?(:@paypay)
          @paypay
        end

        #
        # ===PayPay検索パラメータを設定する
        # @param:: paypay PayPay検索パラメータ
        #
        def paypay=(paypay)
          @paypay = paypay
        end

        #
        # ===bankpay検索パラメータを取得する
        # @return:: bankpay検索パラメータ
        #
        def bankpay
          @bankpay = nil unless instance_variable_defined?(:@bankpay)
          @bankpay
        end

        #
        # ===bankpay検索パラメータを設定する
        # @param:: bankpay bankpay検索パラメータ
        #
        def bankpay=(bankpay)
          @bankpay = bankpay
        end

        #
        # ===Alipay+検索パラメータを取得する
        # @return:: Alipay+検索パラメータ
        #
        def alipayx
          @alipayx = nil unless instance_variable_defined?(:@alipayx)
          @alipayx
        end

        #
        # ===Alipay+検索パラメータを設定する
        # @param:: alipayx Alipay+検索パラメータ
        #
        def alipayx=(alipayx)
          @alipayx = alipayx
        end

        #
        # ===CvsPay検索パラメータを取得する
        # @return:: CvsPay検索パラメータ
        #
        def cvspay
          @cvspay = nil unless instance_variable_defined?(:@cvspay)
          @cvspay
        end

        #
        # ===CvsPay検索パラメータを設定する
        # @param:: cvspay CvsPay検索パラメータ
        #
        def cvspay=(cvspay)
          @cvspay = cvspay
        end

        #
        # ===スコア@払い検索パラメータを取得する
        # @return:: スコア@払い検索パラメータ
        #
        def scoreatpay
          @scoreatpay = nil unless instance_variable_defined?(:@scoreatpay)
          @scoreatpay
        end

        #
        # ===スコア@払い検索パラメータを設定する
        # @param:: scoreatpay スコア@払い検索パラメータ
        #
        def scoreatpay=(scoreatpay)
          @scoreatpay = scoreatpay
        end

        #
        # ===Amazon Pay検索パラメータを取得する
        # @return:: Amazon Pay検索パラメータ
        #
        def amazonpay
          @amazonpay = nil unless instance_variable_defined?(:@amazonpay)
          @amazonpay
        end

        #
        # ===Amazon Pay検索パラメータを設定する
        # @param:: amazonpay Amazon Pay検索パラメータ
        #
        def amazonpay=(amazonpay)
          @amazonpay = amazonpay
        end

        #
        # ===メルペイ検索パラメータを取得する
        # @return:: メルペイ検索パラメータ
        #
        def merpay
          @merpay = nil unless instance_variable_defined?(:@merpay)
          @merpay
        end

        #
        # ===メルペイ検索パラメータを設定する
        # @param:: merpay メルペイ検索パラメータ
        #
        def merpay=(merpay)
          @merpay = merpay
        end

        #
        # ===エポスかんたん決済検索パラメータを取得する
        # @return:: エポスかんたん決済検索パラメータ
        #
        def epos
          @epos = nil unless instance_variable_defined?(:@epos)
          @epos
        end

        #
        # ===エポスかんたん決済検索パラメータを設定する
        # @param:: epos エポスかんたん決済検索パラメータ
        #
        def epos=(epos)
          @epos = epos
        end

        #
        # ===Alipay+検索パラメータを取得する
        # @return:: Alipay+検索パラメータ
        #
        def alipayx
          @alipayx = nil unless instance_variable_defined?(:@alipayx)
          @alipayx
        end

        #
        # ===Alipay+検索パラメータを設定する
        # @param:: alipayx Alipay+検索パラメータ
        #
        def alipayx=(alipayx)
          @alipayx = alipayx
        end

      end
    end
  end
end
