# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/request_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：Search 要求Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class SearchRequestDto < Veritrans::Tercerog::Mdk::RequestBaseDto

        #
        # 決済サービスタイプ
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_TYPE = "search"

        #
        # 決済サービスコマンド
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_COMMAND = "Search"

        #
        # ===コンストラクタ
        #
        def initialize
          @service_type = SERVICE_TYPE
          @service_command = SERVICE_COMMAND
        end

        #
        # ===決済サービスタイプを取得する
        # @return:::: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスコマンドを取得する
        # @return:::: 決済サービスコマンド
        #
        def service_command
          @service_command = nil unless instance_variable_defined?(:@service_command)
          @service_command
        end

        #
        # ===リクエストIDを取得する
        # @return:: リクエストID
        #
        def request_id
          @request_id = nil unless instance_variable_defined?(:@request_id)
          @request_id
        end

        #
        # ===リクエストIDを設定する
        # @param:: request_id リクエストID
        #
        def request_id=(request_id)
          @request_id = request_id
        end

        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type_cd
          @service_type_cd = nil unless instance_variable_defined?(:@service_type_cd)
          @service_type_cd
        end

        #
        # ===決済サービスタイプを設定する。
        # 複数指定を可能とする。
        # 指定しない場合は全ての決済サービスタイプより検索されます。
        #
        # @param:: service_type_cd 決済サービスタイプ
        #
        def service_type_cd=(service_type_cd)
          @service_type_cd = service_type_cd
        end

        #
        # ===最新トランザクションのみフラグを取得する
        # @return:: 最新トランザクションのみフラグ
        #
        def newer_flag
          @newer_flag = nil unless instance_variable_defined?(:@newer_flag)
          @newer_flag
        end

        #
        # ===最新トランザクションのみフラグを設定する
        # @param:: newer_flag 最新トランザクションのみフラグ
        #
        def newer_flag=(newer_flag)
          @newer_flag = newer_flag
        end

        #
        # ===ダミー決済対象フラグを取得する
        # @return:: ダミー決済対象フラグ
        #
        def contain_dummy_flag
          @contain_dummy_flag = nil unless instance_variable_defined?(:@contain_dummy_flag)
          @contain_dummy_flag
        end

        #
        # ===ダミー決済対象フラグを設定する
        # @param:: contain_dummy_flag ダミー決済対象フラグ
        #
        def contain_dummy_flag=(contain_dummy_flag)
          @contain_dummy_flag = contain_dummy_flag
        end

        #
        # ===検索最大件数を取得する
        # @return:: 検索最大件数
        #
        def max_count
          @max_count = nil unless instance_variable_defined?(:@max_count)
          @max_count
        end

        #
        # ===検索最大件数を設定する
        # @param:: max_count 検索最大件数
        #
        def max_count=(max_count)
          @max_count = max_count
        end

        #
        # ===マスタ名を取得する
        # @return:: マスタ名
        #
        def master_names
          @master_names = nil unless instance_variable_defined?(:@master_names)
          @master_names
        end

        #
        # ===マスタ名を設定する
        # @param:: master_names マスタ名
        #
        def master_names=(master_names)
          @master_names = master_names
        end

        #
        # ===検索キーを取得する
        # @return:: 検索キー
        #
        def search_parameters
          @search_parameters = nil unless instance_variable_defined?(:@search_parameters)
          @search_parameters
        end

        #
        # ===検索キーを設定する
        #
        # @param:: search_parameters 検索キー
        #
        def search_parameters=(search_parameters)
          @search_parameters = search_parameters
        end

      end
    end
  end
end
