# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：Search 応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class SearchResponseDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスタイプを設定する
        # @param:: service_type 決済サービスタイプ
        #
        def service_type=(service_type)
          @service_type = service_type
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===処理結果コードを取得する
        # @return:: 処理結果コード
        #
        def mstatus
          @mstatus = nil unless instance_variable_defined?(:@mstatus)
          @mstatus
        end

        #
        # ===処理結果コードを設定する
        # @param:: mstatus 処理結果コード
        #
        def mstatus=(mstatus)
          @mstatus = mstatus
        end

        #
        # ===詳細結果コードを取得する
        # @return:: 詳細結果コード
        #
        def v_result_code
          @v_result_code = nil unless instance_variable_defined?(:@v_result_code)
          @v_result_code
        end

        #
        # ===詳細結果コードを設定する
        # @param:: v_result_code 詳細結果コード
        #
        def v_result_code=(v_result_code)
          @v_result_code = v_result_code
        end

        #
        # ===エラーメッセージを取得する
        # @return:: エラーメッセージ
        #
        def merr_msg
          @merr_msg = nil unless instance_variable_defined?(:@merr_msg)
          @merr_msg
        end

        #
        # ===エラーメッセージを設定する
        # @param:: merr_msg エラーメッセージ
        #
        def merr_msg=(merr_msg)
          @merr_msg = merr_msg
        end

        #
        # ===最大件数超えフラグを取得する
        # @return:: 最大件数超えフラグ
        #
        def over_max_count_flag
          @over_max_count_flag = nil unless instance_variable_defined?(:@over_max_count_flag)
          @over_max_count_flag
        end

        #
        # ===最大件数超えフラグを設定する
        # @param:: over_max_count_flag 最大件数超えフラグ
        #
        def over_max_count_flag=(over_max_count_flag)
          @over_max_count_flag = over_max_count_flag
        end

        #
        # ===検索結果件数（オーダー件数）を取得する
        # @return:: @検索結果件数（オーダー件数） ||= nil
        #
        def search_count
          @search_count = nil unless instance_variable_defined?(:@search_count)
          @search_count
        end

        #
        # ===検索結果件数（オーダー件数）を設定する
        # @param:: search_count 検索結果件数（オーダー件数）
        #
        def search_count=(search_count)
          @search_count = search_count
        end

        #
        # ===電文IDを取得する
        # @return:: 電文ID
        #
        def march_txn
          @march_txn = nil unless instance_variable_defined?(:@march_txn)
          @march_txn
        end

        #
        # ===電文IDを設定する
        # @param:: march_txn 電文ID
        #
        def march_txn=(march_txn)
          @march_txn = march_txn
        end

        #
        # ===取引毎に付くIDを取得する
        # @return:: 取引毎に付くID
        #
        def cust_txn
          @cust_txn = nil unless instance_variable_defined?(:@cust_txn)
          @cust_txn
        end

        #
        # ===取引毎に付くIDを設定する
        # @param:: cust_txn 取引毎に付くID
        #
        def cust_txn=(cust_txn)
          @cust_txn = cust_txn
        end

        #
        # ===MDKバージョンを取得する
        # @return:: MDKバージョン
        #
        def txn_version
          @txn_version = nil unless instance_variable_defined?(:@txn_version)
          @txn_version
        end

        #
        # ===MDKバージョンを設定する
        # @param:: txn_version MDKバージョン
        #
        def txn_version=(txn_version)
          @txn_version = txn_version
        end

        #
        # ===オーダー情報リストを取得する
        # @return:: オーダー情報リスト
        #
        def order_infos
          @order_infos = nil unless instance_variable_defined?(:@order_infos)
          @order_infos
        end

        #
        # ===オーダー情報リストを設定する
        # @param:: order_infos オーダー情報リスト
        #
        def order_infos=(order_infos)
          @order_infos = order_infos
        end

        #
        # ===マスタ情報リストを取得する
        # @return:: マスタ情報リスト
        #
        def master_infos
          @master_infos = nil unless instance_variable_defined?(:@master_infos)
          @master_infos
        end

        #
        # ===マスタ情報リストを設定する
        # @param:: master_infos マスタ情報リスト
        #
        def master_infos=(master_infos)
          @master_infos = master_infos
        end

      end
    end
  end
end
