# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索結果:決済トランザクションのクラス
      #
      # @author:: VeriTrans Inc.
      #
      class TransactionInfo

        #
        # ===トランザクション管理IDを取得する
        # @return:: トランザクション管理ID
        #
        def txn_id
          @txn_id = nil unless instance_variable_defined?(:@txn_id)
          @txn_id
        end

        #
        # ===トランザクション管理IDを設定する
        # @param:: txn_id トランザクション管理ID
        #
        def txn_id=(txn_id)
          @txn_id = txn_id
        end

        #
        # ===コマンドを取得する
        # @return:: コマンド
        #
        def command
          @command = nil unless instance_variable_defined?(:@command)
          @command
        end

        #
        # ===コマンドを設定する
        # @param:: command コマンド
        #
        def command=(command)
          @command = command
        end

        #
        # ===ステータスコードを取得する
        # @return:: ステータスコード
        #
        def mstatus
          @mstatus = nil unless instance_variable_defined?(:@mstatus)
          @mstatus
        end

        #
        # ===ステータスコードを設定する
        # @param:: mstatus ステータスコード
        #
        def mstatus=(mstatus)
          @mstatus = mstatus
        end

        #
        # ===結果コードを取得する
        # @return:: 結果コード
        #
        def v_result_code
          @v_result_code = nil unless instance_variable_defined?(:@v_result_code)
          @v_result_code
        end

        #
        # ===結果コードを設定する
        # @param:: v_result_code 結果コード
        #
        def v_result_code=(v_result_code)
          @v_result_code = v_result_code
        end

        #
        # ===取引日時を取得する
        # @return:: 取引日時
        #
        def txn_datetime
          @txn_datetime = nil unless instance_variable_defined?(:@txn_datetime)
          @txn_datetime
        end

        #
        # ===取引日時を設定する
        # @param:: txn_datetime 取引日時
        #
        def txn_datetime=(txn_datetime)
          @txn_datetime = txn_datetime
        end

        #
        # ===金額を取得する
        # @return:: 金額
        #
        def amount
          @amount = nil unless instance_variable_defined?(:@amount)
          @amount
        end

        #
        # ===金額を設定する
        # @param:: amount 金額
        #
        def amount=(amount)
          @amount = amount
        end

        #
        # ===固有トランザクション情報を取得する
        # @return:: 固有トランザクション情報
        #
        def proper_transaction_info
          @proper_transaction_info = nil unless instance_variable_defined?(:@proper_transaction_info)
          @proper_transaction_info
        end

        #
        # ===固有トランザクション情報を設定する
        # @param:: proper_transaction_info 固有トランザクション情報
        #
        def proper_transaction_info=(proper_transaction_info)
          @proper_transaction_info = proper_transaction_info
        end

      end
    end
  end
end
