# -*- encoding: utf-8 -*-
#= mdk_error.rb - MDK Library アプリケーション例外クラス
#
#Copyright:: VeriTrans Inc.
#Authors::   VeriTrans Inc.
#

module Veritrans
  module Tercerog
    module Mdk

      #
      # MdkError クラス
      #    Mdk内部で使用するアプリケーション例外クラス
      #
      class MdkError < StandardError

        #
        # ===コンストラクタ
        # @param エラーメッセージもしくは、メッセージ[MdkMessage]のキー
        #
        def initialize(*argv)
          @code = Veritrans::Tercerog::Mdk::MdkMessage::MA99_SYSTEM_INTERNAL_ERROR

          unless argv.empty?
            const_def = false
            Veritrans::Tercerog::Mdk::MdkMessage.constants.each do |const|
              if Veritrans::Tercerog::Mdk::MdkMessage.const_get(const) == argv.first
                const_def = true
                break
              end
            end

            if const_def
              @code = argv.shift
              @msg = Veritrans::Tercerog::Mdk::MdkMessage.instance.get_message(@code, *argv)
              argv.clear
              argv.unshift(@msg)
            else
              @msg = *argv
            end

          end

          super(*argv)
        end

        #
        # ===例外に対応するリザルトコードを取得します。
        # @return:: 16桁のv_result_code
        #
        def v_result_code
          @code + "0" * 12
        end

        #
        # ===例外に対応するエラーメッセージを取得します。
        # @return:: エラーメッセージ
        #
        def message
          super
        end

      end
    end
  end
end
